GNU bug report logs - #23465
25.0.93; `lambda' after hash-quote not highlighted as keyword

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Anders Lindgren <andlind@HIDDEN>; dated Fri, 6 May 2016 10:09:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 29 Jan 2018 12:26:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 29 07:26:04 2018
Received: from localhost ([127.0.0.1]:47158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eg8Vf-0003wB-Tu
	for submit <at> debbugs.gnu.org; Mon, 29 Jan 2018 07:26:04 -0500
Received: from mail-it0-f44.google.com ([209.85.214.44]:35914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1eg8Ve-0003vi-Mc
 for 23465 <at> debbugs.gnu.org; Mon, 29 Jan 2018 07:26:02 -0500
Received: by mail-it0-f44.google.com with SMTP id n206so6680587itg.1
 for <23465 <at> debbugs.gnu.org>; Mon, 29 Jan 2018 04:26:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=NyJz2Idb95ywk6gbGgRCdbfAHL89Cz3dOEX0h5bV64E=;
 b=U+DV5z8HZPMmsFQZtOhdQhGPDzcbptf3NJzjTE2C7TfkaPI6EL9S9dmleFw8auRHjM
 Tvl97H9BRqIdB+5L4au1HyKHnbcbOIEZfBykaEJYUvU67usMt4ZnScPeg8ytcxiqnMUu
 5Op61ZI/lbli9yQgojnvsZTqNB86S7/cJKbxaePiwu1CG2EXlNe0JWR/8/8TJJOGq7wV
 1PDLWgN7cL6aNgKyE0tUzArTVaKxSJMZblRnvesPgcVoqq9jSeWZyaVDXHu8SvHXTpPK
 28xgKa2hLEkx7ps7DFs47Q9IXD2lMG3H5zaf+MYm/brh+MuMI8h0WHJJ+dC4H8A89WHy
 BkVg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=NyJz2Idb95ywk6gbGgRCdbfAHL89Cz3dOEX0h5bV64E=;
 b=PZG0NE5R/l8zdih1l+wtLM2WviFJb+USVkxqqWCokca/SOLPTGHdA5A1rgAKTNExjR
 NHcHexvljYjlgQXpPFzVLQa3Cywi1t4KoDjWB7k/HOWKZiGjIb9/32y8VcrspJW0287i
 UlbjHDMYx3algwN3aKkzpNyL8KQ2RxHKDxGAH/DRS0IurN/sIE1+rURceKGC1bftgDep
 LxrO4g3mfPMNZTPVKKVtqqGIfEZesHjOZD6a8QIum2X37ZlMdi9w+mO1mVCtYRD16nrX
 nj9exFhU6FtP9xVDfUeyN9Iywmmp3UkgmNGiucehcKif3Nh2jF6BS4gMYf0LoSArI+tp
 1fTg==
X-Gm-Message-State: AKwxytda0ICNOpcPigCHjL92KYDcebTl9hq6sY/t+GOsbOibYh1HxAJT
 cUoeV7Y3DFfPvu5eF2AVBhNZpttT
X-Google-Smtp-Source: AH8x2255nv15w95fpexWKgEDNKt6J3Y+Df1q50VIYHx3u4OuAfY8ljZMaj4zlO8/WUolDEjEg69STA==
X-Received: by 10.36.176.65 with SMTP id b1mr23387939itj.60.1517228757001;
 Mon, 29 Jan 2018 04:25:57 -0800 (PST)
Received: from zebian ([45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id v41sm4323051iov.3.2018.01.29.04.25.55
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 29 Jan 2018 04:25:55 -0800 (PST)
From: Noam Postavsky <npostavs@HIDDEN>
To: Anders Lindgren <andlind@HIDDEN>
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN> <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
 <eef90522-4131-9696-b4ec-8974c6657d6e@HIDDEN>
 <jwvwpn06atp.fsf-monnier+bug#23465@HIDDEN>
 <CABr8ebax3sAqiTQOFAJEFtK6FMv-vWZ8wkBTb4FZORLO-zjjfA@HIDDEN>
 <87inblk1b5.fsf@HIDDEN>
 <CABr8ebY7L4TxjexJ_eg=J00-Vz-CzA0wkhLSw3dN3fZygGhXjQ@HIDDEN>
Date: Mon, 29 Jan 2018 07:25:54 -0500
In-Reply-To: <CABr8ebY7L4TxjexJ_eg=J00-Vz-CzA0wkhLSw3dN3fZygGhXjQ@HIDDEN>
 (Anders Lindgren's message of "Mon, 29 Jan 2018 08:56:10 +0100")
Message-ID: <87zi4wj1gt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 23465
Cc: Eli Zaretskii <eliz@HIDDEN>, 23465 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Anders Lindgren <andlind@HIDDEN> writes:

> No, it was never pushed. However, this has resolved itself since
> `lambda` now is a macro, so it's highlighted using the normal macro
> mechanism.

Not when it's hash quoted though, which I thought was the point of this
bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 29 Jan 2018 07:56:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 29 02:56:18 2018
Received: from localhost ([127.0.0.1]:47090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eg4Ic-0005oT-56
	for submit <at> debbugs.gnu.org; Mon, 29 Jan 2018 02:56:18 -0500
Received: from mail-lf0-f51.google.com ([209.85.215.51]:43106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andlind@HIDDEN>) id 1eg4Ia-0005oG-Vi
 for 23465 <at> debbugs.gnu.org; Mon, 29 Jan 2018 02:56:17 -0500
Received: by mail-lf0-f51.google.com with SMTP id o89so8499236lfg.10
 for <23465 <at> debbugs.gnu.org>; Sun, 28 Jan 2018 23:56:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=XCSnEwxRU1zY8fOMUTqp0gjcyAH5hcjXU9aS30oRiB4=;
 b=JRHmZtFH77E9buc9zHEqR21acLOyTMHFdsI9dU9SjyuWY1C3r5QTzZR97goJcTPZed
 vk04wkC7oH1TpXVUuoPnwdqFjKSLB5tl4bHSvH7brR+VNYisKKS+03wFGFWkOszOeROV
 TpGTjhoYQMGbf0HxlUigVOomlDGTBvCE7q0GI+Q60POsWwJdVcXI+qvAZcjK3ZNntDsc
 YuXCRqbRxugbltYJguxJyc8aWOx1ZOLqWk9CoTHvErTThy+WiaXxhF7aixMwsav+ZxOZ
 5bvhBPhPYoYjo6CEB8QBLnx3dxbge6VIPq3rqqFwajENIQYfjhU64KwsPZ+zKI9xpHn1
 6jog==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=XCSnEwxRU1zY8fOMUTqp0gjcyAH5hcjXU9aS30oRiB4=;
 b=s41R61zk3mncdDpGYbL759ZjCuWPEctB3bAtSYV82qHS22+vceCq0WTSDqLJvjeQ+S
 wuRq2cmx1WOkEvzIGUKQnbR8HBKVwH2lu8/B49xl5X3sypiRBvBFGg7nFM1Tsn8B68Dw
 cSrTkLJnT0M3tclkTYaZcROovBcSL/cBqlFAM5pqZHbmtK2CA1nBJVT+Cxj2gy0f9MCA
 VrQTKXuIqRGrUdPZBgynwc+oXzWkY76n30y0ZUzIHSVeODDsYeIEbGvO6mduhJLpkzdf
 R7xP+FtRmqIF/KSLb1ejpaPMkAyWWwr6tj/x0wNLXind6yDF9F4FN/ael1wkL6wvLC77
 AOMA==
X-Gm-Message-State: AKwxytcM6kDV6mwyg31NUP80fWM6u+CYTpR6Ziq1UXnkENOSw2U4HxOT
 1x40hdyBPfiuhfz4G6wagrjK2qe8Bki/gjK8v5E=
X-Google-Smtp-Source: AH8x2247a8r5PLHmoznthw2nzDPweTkzTWA4vezgceE35dCB+ZmKaxc1fea4+2/onr3rYL7kbvuLnTmq28/DhLjPvL8=
X-Received: by 10.46.58.8 with SMTP id h8mr12884353lja.130.1517212570912; Sun,
 28 Jan 2018 23:56:10 -0800 (PST)
MIME-Version: 1.0
Received: by 10.25.125.132 with HTTP; Sun, 28 Jan 2018 23:56:10 -0800 (PST)
In-Reply-To: <87inblk1b5.fsf@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN> <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
 <eef90522-4131-9696-b4ec-8974c6657d6e@HIDDEN>
 <jwvwpn06atp.fsf-monnier+bug#23465@HIDDEN>
 <CABr8ebax3sAqiTQOFAJEFtK6FMv-vWZ8wkBTb4FZORLO-zjjfA@HIDDEN>
 <87inblk1b5.fsf@HIDDEN>
From: Anders Lindgren <andlind@HIDDEN>
Date: Mon, 29 Jan 2018 08:56:10 +0100
Message-ID: <CABr8ebY7L4TxjexJ_eg=J00-Vz-CzA0wkhLSw3dN3fZygGhXjQ@HIDDEN>
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
To: Noam Postavsky <npostavs@HIDDEN>
Content-Type: multipart/alternative; boundary="089e082f39b8568b180563e5944e"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 23465
Cc: Eli Zaretskii <eliz@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, 23465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--089e082f39b8568b180563e5944e
Content-Type: text/plain; charset="UTF-8"

Hi!

No, it was never pushed. However, this has resolved itself since `lambda`
now is a macro, so it's highlighted using the normal macro mechanism.

    -- Anders

On Mon, Jan 29, 2018 at 12:31 AM, Noam Postavsky <
npostavs@HIDDEN> wrote:

> Anders Lindgren <andlind@HIDDEN> writes:
>
> > Anyway, we're striding away from the subject here. I'll commit the
> > fix for the "lambda" problem on the master branch and leave it broken
> > on emacs-25.
>
> Was this ever pushed?  Seems like not.  It's by now already too late
> for emacs-26, but could still go to master I think.
>

--089e082f39b8568b180563e5944e
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi!<div><br></div><div>No, it was never pushed. However, t=
his has resolved itself since `lambda` now is a macro, so it&#39;s highligh=
ted using the normal macro mechanism.</div><div><br></div><div>=C2=A0 =C2=
=A0 -- Anders</div></div><div class=3D"gmail_extra"><br><div class=3D"gmail=
_quote">On Mon, Jan 29, 2018 at 12:31 AM, Noam Postavsky <span dir=3D"ltr">=
&lt;<a href=3D"mailto:npostavs@HIDDEN" target=3D"_blank">npo=
stavs@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"g=
mail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-l=
eft:1ex"><span class=3D"">Anders Lindgren &lt;<a href=3D"mailto:andlind@gma=
il.com">andlind@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Anyway, we&#39;re striding away from the subject here. I&#39;ll commit=
 the<br>
&gt; fix for the &quot;lambda&quot; problem on the master branch and leave =
it broken<br>
&gt; on emacs-25.<br>
<br>
</span>Was this ever pushed?=C2=A0 Seems like not.=C2=A0 It&#39;s by now al=
ready too late<br>
for emacs-26, but could still go to master I think.<br>
</blockquote></div><br></div>

--089e082f39b8568b180563e5944e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 28 Jan 2018 23:31:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 28 18:31:51 2018
Received: from localhost ([127.0.0.1]:46937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1efwQR-0004vw-7U
	for submit <at> debbugs.gnu.org; Sun, 28 Jan 2018 18:31:51 -0500
Received: from mail-it0-f50.google.com ([209.85.214.50]:37540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1efwQP-0004vi-L3
 for 23465 <at> debbugs.gnu.org; Sun, 28 Jan 2018 18:31:49 -0500
Received: by mail-it0-f50.google.com with SMTP id h129so1029091ita.2
 for <23465 <at> debbugs.gnu.org>; Sun, 28 Jan 2018 15:31:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=/jVMjc/Xz+fnbn59QFUUi4NKGmWd/Bd59dx6934jQtQ=;
 b=jghTEPWGqgot2XJ8raatfVl1aF+gpmxvKrbKnU/0r+PfXXMcSPAqrVaLmdBkJOKgEc
 0gUIznP0vD8z21XhkGNKH6Z8qpIMxrAQlPdBDPSp1vjFfIaEAL8HyuYkIg9XV39fZ/a4
 IBFOZ+6uxoJ2SxD3wLDdfq3zxXLplUBi+AOGs7fW2XFZqAxxt+IYPgpPc6/Ryv/hXkZQ
 V28EzYIjuyo1byDvGhlflzRdZO+c0JlrCUs8BwZBhLZdZxlBntZWgN17nfKB+2ObNSqY
 C/pQmoS3GCVidlerfi5hUtoDIK55SvSbUMSN7cjyObfsEdpQ5NBJJys66++bq/Xc6dtP
 3iPw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=/jVMjc/Xz+fnbn59QFUUi4NKGmWd/Bd59dx6934jQtQ=;
 b=o5UMsWCzl0QjRocsciluTp6IAVV601jzkpbjmAC0bLc8ym1PgtlDnqtBRnMGLVMD9i
 3tDUMwyu9WiQEw0cHDZvHWB8JaNGyFcJoUH/sutuW5g8vOLxK5DPfgzGykQtaVd2ghxr
 z26blgPaDSSu6donWP/Q4RC0xRCvKuByn4xhrAImllJVbWf+gu5eJfeRURWjg6iw2Xg4
 qYY3TaiMAXyZazOZze3WVu+sXqzCHmf4zm2kPjfgTAQE/UYHygnpBxE2LlQdC6oa4usg
 7MeuY3H2FGjideezw1aT2T2nQeNxRQyDvcZb59hBcM/2XsSpe9E7DAFbHEcvLtAgpgZ2
 aqAA==
X-Gm-Message-State: AKwxytevYAnqXni95eESpdAVjSFonMLt3eDvBrI3OpRbwvzTsLIAyjHo
 iGZxnc6E39ONdJrXLrcBI5s=
X-Google-Smtp-Source: AH8x224zdDEloqjQYw8rlZYiqPxGrFJ3ebO9gT0YT7iLIGFyf0UNAqV5O+CJGaLI4SanwnI5qFiwIw==
X-Received: by 10.36.78.136 with SMTP id r130mr25901835ita.7.1517182304232;
 Sun, 28 Jan 2018 15:31:44 -0800 (PST)
Received: from zebian ([45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id d3sm4790785itf.1.2018.01.28.15.31.42
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 28 Jan 2018 15:31:43 -0800 (PST)
From: Noam Postavsky <npostavs@HIDDEN>
To: Anders Lindgren <andlind@HIDDEN>
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN> <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
 <eef90522-4131-9696-b4ec-8974c6657d6e@HIDDEN>
 <jwvwpn06atp.fsf-monnier+bug#23465@HIDDEN>
 <CABr8ebax3sAqiTQOFAJEFtK6FMv-vWZ8wkBTb4FZORLO-zjjfA@HIDDEN>
Date: Sun, 28 Jan 2018 18:31:42 -0500
In-Reply-To: <CABr8ebax3sAqiTQOFAJEFtK6FMv-vWZ8wkBTb4FZORLO-zjjfA@HIDDEN>
 (Anders Lindgren's message of "Wed, 11 May 2016 15:08:09 +0200")
Message-ID: <87inblk1b5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 23465
Cc: Eli Zaretskii <eliz@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, 23465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Anders Lindgren <andlind@HIDDEN> writes:

> Anyway, we're striding away from the subject here. I'll commit the
> fix for the "lambda" problem on the master branch and leave it broken
> on emacs-25.

Was this ever pushed?  Seems like not.  It's by now already too late
for emacs-26, but could still go to master I think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 12 May 2016 18:45:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 14:45:49 2016
Received: from localhost ([127.0.0.1]:49303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0vcL-0007dZ-DX
	for submit <at> debbugs.gnu.org; Thu, 12 May 2016 14:45:49 -0400
Received: from mail-pf0-f180.google.com ([209.85.192.180]:33486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jwiegley@HIDDEN>) id 1b0vcG-0007ck-Rh
 for 23465 <at> debbugs.gnu.org; Thu, 12 May 2016 14:45:48 -0400
Received: by mail-pf0-f180.google.com with SMTP id 206so33662939pfu.0
 for <23465 <at> debbugs.gnu.org>; Thu, 12 May 2016 11:45:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=0OMd2m5ZPAih250m3L0rsh+NJxq7G97lNDjDf2ERl9c=;
 b=Bk80UvPKW1XWYGdv9/bafFm7eyOHcScrO87s+JSJgDTVOidcLLN9rXzgqvTl3I8U54
 r/DYk/KM+Ti9xOuznaKvPWGSHCthIxar/UWGwKmYLP3ApzBf9mCXdR1e8wqQKsaTnQhd
 /8krvM6jUKgkhBOYufQj49XoRp7UUdzQqr2wwcePhOfGYaxNHeo9bZgZBX27TZz6q9TP
 Ynug5l8kgXF4pKAzVst7te/Nl58aGVDeuwBc8KQrUxtHt7FjelpsKw2CIHFu04GafOmt
 klx64kWD9RxoVveyjSrB+HOJX9QzM4ZpZAp90qWJilOZQvbYCFF7wue7aijXa9Gatq7y
 S8gA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=0OMd2m5ZPAih250m3L0rsh+NJxq7G97lNDjDf2ERl9c=;
 b=mysDXU95cssPQDm2K5K9BZeJmBCsPjRdiukdeqpOAaea4yUMXdxpu3Nd14+Shjjnbv
 m2pjGtRuLeGQ7f5eCNEmI+I4guV/C7vzYmX1tdZOlKElpyTPoZB/2cvpVkmoqk/dtAIc
 YhsnuuHRjlNoeCHFc/WrwEUakaWkgBuoLeVLV2SV0d8oN6F1vHZbuaRQYqAW89+LNLEP
 chTgW/gH9sc9iO1x5Z8L8JO6NYC+3o5+as6nGExcuB2USl7TlCpMg0QtVCCxhmUqgzBR
 hoNouNP0DAYIohSeC27y+6DKaFfCpyD43mBtl40O0UkKAHJoIJvYnUuS9cFxW+WWMriC
 K1FQ==
X-Gm-Message-State: AOPr4FXz8gcy34KBhn8g25ITnQgErLTlbIMMzR8Mv1qS7o/r27LYQuq2D78IBn/glyOidg==
X-Received: by 10.98.25.74 with SMTP id 71mr16160488pfz.94.1463078739242;
 Thu, 12 May 2016 11:45:39 -0700 (PDT)
Received: from Vulcan.local (76-234-68-79.lightspeed.frokca.sbcglobal.net.
 [76.234.68.79])
 by smtp.gmail.com with ESMTPSA id z9sm21525592pfa.84.2016.05.12.11.45.33
 (version=TLS1 cipher=AES128-SHA bits=128/128);
 Thu, 12 May 2016 11:45:35 -0700 (PDT)
From: John Wiegley <jwiegley@HIDDEN>
X-Google-Original-From: "John Wiegley" <johnw@HIDDEN>
Received: by Vulcan.local (Postfix, from userid 501)
 id 442674B62D4; Wed, 11 May 2016 22:49:06 -0700 (PDT)
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN>
 <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
 <83k2j1apv6.fsf@HIDDEN>
Date: Wed, 11 May 2016 22:49:06 -0700
In-Reply-To: <83k2j1apv6.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 11 May
 2016 12:46:53 +0300")
Message-ID: <m2zirvbzcd.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.0.93 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 23465
Cc: 23465 <at> debbugs.gnu.org, Anders Lindgren <andlind@HIDDEN>,
 dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

>>>>> Eli Zaretskii <eliz@HIDDEN> writes:

>> Well, I need to get a "go ahead" from someone to push this to the emacs-25
>> branch...

> I don't see the need to push this to emacs-25. It doesn't seem to be a
> problem that's critical enough. I think this should be installed on master,
> assuming no one objects.

It's not critical and we've locked down emacs-25, so please push to master.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 May 2016 01:32:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 21:32:48 2016
Received: from localhost ([127.0.0.1]:47899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0fUd-0006Nz-OR
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 21:32:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37423)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0fUb-0006Nn-Kg
 for submit <at> debbugs.gnu.org; Wed, 11 May 2016 21:32:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0fUV-0007Tz-IG
 for submit <at> debbugs.gnu.org; Wed, 11 May 2016 21:32:40 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.7 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 FSL_HELO_BARE_IP_2,RCVD_NUMERIC_HELO autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40423)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0fUV-0007Ts-FB
 for submit <at> debbugs.gnu.org; Wed, 11 May 2016 21:32:39 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:56623)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0fUT-0007g9-6E
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2016 21:32:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0fUP-0007QN-RL
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2016 21:32:37 -0400
Received: from plane.gmane.org ([80.91.229.3]:46577)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0fUP-0007Pk-KC
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2016 21:32:33 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0fUM-0004Qy-UQ
 for bug-gnu-emacs@HIDDEN; Thu, 12 May 2016 03:32:31 +0200
Received: from 221.222.155.250 ([221.222.155.250])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Thu, 12 May 2016 03:32:30 +0200
Received: from sdl.web by 221.222.155.250 with local (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Thu, 12 May 2016 03:32:30 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Leo Liu <sdl.web@HIDDEN>
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
Date: Thu, 12 May 2016 09:32:19 +0800
Lines: 12
Message-ID: <m14ma4kqn0.fsf@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN>
 <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
 <eef90522-4131-9696-b4ec-8974c6657d6e@HIDDEN>
 <jwvwpn06atp.fsf-monnier+bug#23465@HIDDEN>
 <CABr8ebax3sAqiTQOFAJEFtK6FMv-vWZ8wkBTb4FZORLO-zjjfA@HIDDEN>
 <jwva8jw682m.fsf-monnier+Inbox@HIDDEN>
 <CABr8ebYD=OPA++MqD886OCm5+=r4HX_Cn4gE1joG0a96_xGU2g@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: 221.222.155.250
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoAgMAAADxkFD+AAAADFBMVEUvT09qWs3/pQD///+J
 kUVcAAAAAWJLR0QAiAUdSAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9cBBwMLOd3veKQA
 AACuSURBVBjTldE9CgIxEAXgB+lEyFUC2wo5ikdZ8DSypxhMY7H9VuIVwlqkGRgnm59VsHGafIQ3
 CZlAtmKIRaHETgYa12lqvEsPYKf8wXHsPGfqPaUM0g9aJPKFXkmNQmSDqwzz4Fpgpz+6WAPY2z5o
 uPJJpu0uypcl4nyCibMLQ8lCiVjayLoQvw5LsVKQuHPRR958HZbOcVsKeepcLxpByjycGvnKmY+c
 MBvrtyjfe0vmuLvdq/kAAAAASUVORK5CYII=
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.93 (OS X 10.11.4)
Cancel-Lock: sha1:n6D13lKCC9brfBxez3VYt2Z44rA=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

On 2016-05-11 17:02 +0200, Anders Lindgren wrote:
> It was the definition I was referring to. (I just picked it as an example,
> as it uses many macros.)
>
> Anyway, I'll drop the idea (or implement it as a stand-alone package, if I
> ever get around to it) as it apparently didn't resonate well here.

People forget that in emacs 24.x many aren't font-locked, for example,
and, or etc. Now too many are. It's a bit annoying at first but I seem
to get used to ignoring them.

Leo





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 11 May 2016 15:02:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 11:02:30 2016
Received: from localhost ([127.0.0.1]:47549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0Vef-0002Mq-QB
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 11:02:29 -0400
Received: from mail-vk0-f51.google.com ([209.85.213.51]:33944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andlind@HIDDEN>) id 1b0Vee-0002Me-UL
 for 23465 <at> debbugs.gnu.org; Wed, 11 May 2016 11:02:29 -0400
Received: by mail-vk0-f51.google.com with SMTP id m188so60524608vka.1
 for <23465 <at> debbugs.gnu.org>; Wed, 11 May 2016 08:02:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc; bh=PXRxhPeG30HEAwuvP5aM6zd61316wUpN3EKTGS8rDxA=;
 b=jx93qJQI0huJyTZ5p2gwW/0L33V36yVBwBpD9dnX1UZCmAVQsKK5mhsdO39933/SE+
 BjDxHUSm/2PhfNmhrjUAukChABN/uHGc0mrfFh94VD3tqli2mSusFj67CUtgur1cikUU
 hkkqBeG+XmAr4/Qp6R/6COrm19vmoBvDdmm/tSOtYAaikosB2iXY9yTllJXqIhWJ+BDw
 0AJnSrvKDnnWkKa6UaCbGPhjnt1WWT39v23BY/Pez8XQx0VwAigsXW9mzTJ/Jga9/H1B
 +6pc2C5+D2kRA1QHp+/hxa5AlLIcZeMepcHVu6xoB1SiHOt8SSYwYWLocSFEu1WJrZcG
 f6AA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc;
 bh=PXRxhPeG30HEAwuvP5aM6zd61316wUpN3EKTGS8rDxA=;
 b=Q8iuZ7nswhwPJb+FnBmrFwHeaPbsCMxxTP8+nhASt23F8iqL8mM2smzxFoPGhA2LfC
 PZJSPInUoJp8TlcT5ZU7V0H7BNy2jxgYIJxd+bkBSbHf1XvkTczRR9y26oL01OszTq2a
 o+yvpULwd+/UkVydz/MMLfINBnGBPrnDu7emomE6Z34+IMdfx5LOn+8sdQeJGwQ7lyKH
 7UWeP174fWPbqY238FE+vVqETVGHBPrv9l3Z+4WMV/iMXf6EqVrOJ7mIvb96sLFntwDC
 +Batrg3gVt5Zb+Aoa3d2QvCCXLufDejj1svpiy9ztBFHnskNEfzC5SXlPuHwiS2ELGXC
 3z1Q==
X-Gm-Message-State: AOPr4FUhSZkCPdQI7cvj/xC4Ws/3pL6vUrD4F4bCUvl2Q697pbibHupXEhftCQBUX7lf4UcNnNWVFYrspqz3Sw==
MIME-Version: 1.0
X-Received: by 10.159.33.240 with SMTP id 103mr1989364uac.43.1462978943209;
 Wed, 11 May 2016 08:02:23 -0700 (PDT)
Received: by 10.31.214.131 with HTTP; Wed, 11 May 2016 08:02:23 -0700 (PDT)
In-Reply-To: <jwva8jw682m.fsf-monnier+Inbox@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN>
 <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
 <eef90522-4131-9696-b4ec-8974c6657d6e@HIDDEN>
 <jwvwpn06atp.fsf-monnier+bug#23465@HIDDEN>
 <CABr8ebax3sAqiTQOFAJEFtK6FMv-vWZ8wkBTb4FZORLO-zjjfA@HIDDEN>
 <jwva8jw682m.fsf-monnier+Inbox@HIDDEN>
Date: Wed, 11 May 2016 17:02:23 +0200
Message-ID: <CABr8ebYD=OPA++MqD886OCm5+=r4HX_Cn4gE1joG0a96_xGU2g@HIDDEN>
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
From: Anders Lindgren <andlind@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113d1418395dbd05329254f0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23465
Cc: Eli Zaretskii <eliz@HIDDEN>, 23465 <at> debbugs.gnu.org,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a113d1418395dbd05329254f0
Content-Type: text/plain; charset=UTF-8

Hi!

> I looked at the uses of define-lex-block-type-analyzer I could
> find in Emacs's trunk and they look OK to me.  I also looked at the
> definition of define-lex-block-type-analyzer and its highlighting also
> looked fine to me.

It was the definition I was referring to. (I just picked it as an example,
as it uses many macros.)

Anyway, I'll drop the idea (or implement it as a stand-alone package, if I
ever get around to it) as it apparently didn't resonate well here.


> Anyway, we're striding away from the subject here. I'll commit the fix for
> > the "lambda" problem on the master branch and leave it broken on
> emacs-25.
>
> Not sure I like this fix: it causes the `if` of #'(if bar baz) to be
> highlighted even though it's not a special form nor a macro in
> that position.
>

It is already highlighted in that context, today, even without my patch.
("if" is a special form whereas "lambda" isn't.)

Also, I've looked through a lot of elisp code, and the only two uses of
hash-quote I found were #'symbol and #'(lambda (...) ...).

Besides, I don't mind having keywords highlighted in quoted or hash-quoted
expressions. In fact, in elisp, code is often written in a quoted context,
e.g. in font-lock keywords, where highlighting of special forms still makes
sense.

If you have a better way to handle this (e.g. making "lambda" a special
form), feel free to suggest another patch.

    -- Anders

--001a113d1418395dbd05329254f0
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote"><div=
><span style=3D"font-size:12.8px">Hi!</span></div><div><span style=3D"font-=
size:12.8px"><br></span></div><div><span style=3D"font-size:12.8px">&gt; I =
looked at the uses of define-lex-block-type-analyzer I could</span><br styl=
e=3D"font-size:12.8px"><span style=3D"font-size:12.8px">&gt; find in Emacs&=
#39;s trunk and they look OK to me.=C2=A0 I also looked at the</span><br st=
yle=3D"font-size:12.8px"><span style=3D"font-size:12.8px">&gt; definition o=
f define-lex-block-type-analyzer and its highlighting also</span><br style=
=3D"font-size:12.8px"><span style=3D"font-size:12.8px">&gt; looked fine to =
me.</span><br></div><div><span style=3D"font-size:12.8px"><br></span></div>=
<div><span style=3D"font-size:12.8px">It was the definition I was referring=
 to. (I just picked it as an example, as it uses many macros.)</span></div>=
<div><span style=3D"font-size:12.8px"><br></span></div><div><span style=3D"=
font-size:12.8px">Anyway, I&#39;ll drop the idea (or implement it as a stan=
d-alone package, if I ever get around to it) as it apparently didn&#39;t re=
sonate well here.</span></div><div><br></div><div><br></div><blockquote cla=
ss=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left-width:1px;=
border-left-color:rgb(204,204,204);border-left-style:solid;padding-left:1ex=
"><span class=3D"">&gt; Anyway, we&#39;re striding away from the subject he=
re. I&#39;ll commit the fix for<br>
&gt; the &quot;lambda&quot; problem on the master branch and leave it broke=
n on emacs-25.<br>
<br>
</span>Not sure I like this fix: it causes the `if` of #&#39;(if bar baz) t=
o be<br>
highlighted even though it&#39;s not a special form nor a macro in<br>
that position.<br></blockquote><div><br></div><div>It is already highlighte=
d in that context, today, even without my patch. (&quot;if&quot; is a speci=
al form whereas &quot;lambda&quot; isn&#39;t.)</div><div><br></div><div>Als=
o, I&#39;ve looked through a lot of elisp code, and the only two uses of ha=
sh-quote I found were #&#39;symbol and #&#39;(lambda (...) ...).</div><div>=
<br></div><div>Besides, I don&#39;t mind having keywords highlighted in quo=
ted or hash-quoted expressions. In fact, in elisp, code is often written in=
 a quoted context, e.g. in font-lock keywords, where highlighting of specia=
l forms still makes sense.</div><div><br></div><div>If you have a better wa=
y to handle this (e.g. making &quot;lambda&quot; a special form), feel free=
 to suggest another patch.</div><div><br></div><div>=C2=A0 =C2=A0 -- Anders=
</div><div><br></div></div></div></div>

--001a113d1418395dbd05329254f0--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 11 May 2016 13:35:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 09:35:56 2016
Received: from localhost ([127.0.0.1]:46881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0UIt-0008Tc-SZ
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 09:35:56 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:60682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1b0UIr-0008TO-2g
 for 23465 <at> debbugs.gnu.org; Wed, 11 May 2016 09:35:54 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0BCFgA731xV/5Yrq8BcgxCEAoVVwD6CTQQCAoE8PRABAQEBAQEBgQpBBYNdAQEDAVYjBQsLDiYSFBgNJIg3CM8jAQEBAQEBBAEBAQEeizqFBQeELQW1BCOBZiMdgW4igngBAQE
X-IPAS-Result: A0BCFgA731xV/5Yrq8BcgxCEAoVVwD6CTQQCAoE8PRABAQEBAQEBgQpBBYNdAQEDAVYjBQsLDiYSFBgNJIg3CM8jAQEBAQEBBAEBAQEeizqFBQeELQW1BCOBZiMdgW4igngBAQE
X-IronPort-AV: E=Sophos;i="5.13,465,1427774400"; d="scan'208";a="238089106"
Received: from 192-171-43-150.cpe.pppoe.ca (HELO pastel.home)
 ([192.171.43.150])
 by ironport2-out.teksavvy.com with ESMTP; 11 May 2016 09:35:48 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 0DD3663F2A; Wed, 11 May 2016 09:35:47 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Anders Lindgren <andlind@HIDDEN>
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
Message-ID: <jwva8jw682m.fsf-monnier+Inbox@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN>
 <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
 <eef90522-4131-9696-b4ec-8974c6657d6e@HIDDEN>
 <jwvwpn06atp.fsf-monnier+bug#23465@HIDDEN>
 <CABr8ebax3sAqiTQOFAJEFtK6FMv-vWZ8wkBTb4FZORLO-zjjfA@HIDDEN>
Date: Wed, 11 May 2016 09:35:47 -0400
In-Reply-To: <CABr8ebax3sAqiTQOFAJEFtK6FMv-vWZ8wkBTb4FZORLO-zjjfA@HIDDEN>
 (Anders Lindgren's message of "Wed, 11 May 2016 15:08:09 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 4.0 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Emacs has for a long time highlighted "keywords" (taken
 with a grain of > salt) like "progn", "if", "when", "and", "or" etc. In other
 words, the core > functions used when writing elisp. This is obviously a
 question of opinion, but the way I look at it,
 it was a manually-managed approximation
 of "the set of macros/specialforms". So yes, it included (usually) less than
 the new code, but it included a good bit more than "the core" (for my own
 opinion of what is "core", clearly). [...] 
 Content analysis details:   (4.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [206.248.154.181 listed in list.dnswl.org]
 3.7 FSL_HELO_HOME          No description available.
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
X-Debbugs-Envelope-To: 23465
Cc: Eli Zaretskii <eliz@HIDDEN>, 23465 <at> debbugs.gnu.org,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 4.0 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Emacs has for a long time highlighted "keywords" (taken
   with a grain of > salt) like "progn", "if", "when", "and", "or" etc. In other
    words, the core > functions used when writing elisp. This is obviously a
   question of opinion, but the way I look at it, it was a manually-managed approximation
    of "the set of macros/specialforms". So yes, it included (usually) less than
    the new code, but it included a good bit more than "the core" (for my own
    opinion of what is "core", clearly). [...] 
 
 Content analysis details:   (4.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [206.248.154.181 listed in list.dnswl.org]
  3.7 FSL_HELO_HOME          No description available.
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)

> Emacs has for a long time highlighted "keywords" (taken with a grain of
> salt) like "progn", "if", "when", "and", "or" etc.  In other words, the core
> functions used when writing elisp.

This is obviously a question of opinion, but the way I look at it, it
was a manually-managed approximation of "the set of macros/specialforms".
So yes, it included (usually) less than the new code, but it included
a good bit more than "the core" (for my own opinion of what is "core",
clearly).

> However, now Emacs also highlights *all* macros when they are used. In some
> cases, like in "define-lex-block-type-analyzer", the keyword face is used
> so much that the visual cues it normally provides are lost.

Hmm... I don't understand the problem you're referring to.

I looked at the uses of define-lex-block-type-analyzer I could
find in Emacs's trunk and they look OK to me.  I also looked at the
definition of define-lex-block-type-analyzer and its highlighting also
looked fine to me.

> In this case, it would be better to use a different face for the user
> macros.  One candidate would be font-lock-preprocessor-face.

I think you expect something different, indeed.  Personally I don't care
who/where the macro is defined.  I only care about the fact that the
evaluation rules will likely not be the same as a function call.

IOW I do find some of the new highlighting distracting, but only for
those macros which behave just like functions (i.e. typically macros
which would better be defined with defsubst or define-inline).

> Anyway, we're striding away from the subject here. I'll commit the fix for
> the "lambda" problem on the master branch and leave it broken on emacs-25.

Not sure I like this fix: it causes the `if` of #'(if bar baz) to be
highlighted even though it's not a special form nor a macro in
that position.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 11 May 2016 13:08:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 09:08:16 2016
Received: from localhost ([127.0.0.1]:46850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0Ts8-0007pJ-Ee
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 09:08:16 -0400
Received: from mail-yw0-f170.google.com ([209.85.161.170]:33012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andlind@HIDDEN>) id 1b0Ts6-0007p1-Iw
 for 23465 <at> debbugs.gnu.org; Wed, 11 May 2016 09:08:14 -0400
Received: by mail-yw0-f170.google.com with SMTP id t10so46894268ywa.0
 for <23465 <at> debbugs.gnu.org>; Wed, 11 May 2016 06:08:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc; bh=bRO1f+3DgHXp5qAx9KKhwdxD0ui5UwzaS7uSdYzrHs4=;
 b=m/LoZExv2RUVvNqhhAs+Li2L1Km8bD5us93bP1muw3tiZ32xWB9Kico4jeNK2+xFSG
 gkZtJ4d5hKcXafQsHsXB3SBNzyQehnZuMIcZBF4VXvcQIPwZo6Yjg2RtiKf3nKz4MRl9
 wBx4zYCMv5c2J5BKqoiw50faNviZSd0EAbhQpoibGzddUOgd/kpW5vtEAD7gsSpneVOU
 zLVmBVqw1ozbXWTHX1674SLHXpiIFKEpSzLbMFpyKuz+HR04GEEpYQkqZLz4W9pDCbN4
 km4VNZDLC3yMPoZoHr3FK6C9DSt7ZOBkl6Gvk5Qs5xO+YiBQBzx3S/y4wzfXY05ptOOz
 3H0w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc;
 bh=bRO1f+3DgHXp5qAx9KKhwdxD0ui5UwzaS7uSdYzrHs4=;
 b=dpQemD+SuzfqO0thEsw2G7190jTqILGsJ0SuO9bKg0N3NHhYsvpzmeHIfim33/92tt
 HN6yV1jtz9qHbKbqkmPMGyRefacmDPkSYNDbHmVWi/vPDeGMCI7HeZQBc5MGZQbxaCmc
 UmDI1FrJUJoWSl6iDxpyXXZTKMA9YW3DBpXtgZ3NqQvmLX6swvuTz60V6uh5KZ4vLS07
 4R09R2H09e+aUJmY5oGOJyRc8TY+AjWMDcIYVtT3AqE69IkN08ya0EexziNO0Qtp3Mfd
 sLuAy05SJX1KMI5URtxYikDBTKtLK1PisDibvla1f2dMYGMivtzZGHKZniGEubfqxbr9
 pP2Q==
X-Gm-Message-State: AOPr4FV4XTjtYcx13KXOltpGG/oHM3OdAoUu8cD0I3NMXBXveYBRIyXoBRl0BTRYZGcmZMT2H8y1p8Y0U+gafw==
MIME-Version: 1.0
X-Received: by 10.129.89.134 with SMTP id n128mr1684730ywb.102.1462972089136; 
 Wed, 11 May 2016 06:08:09 -0700 (PDT)
Received: by 10.37.21.70 with HTTP; Wed, 11 May 2016 06:08:09 -0700 (PDT)
In-Reply-To: <jwvwpn06atp.fsf-monnier+bug#23465@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN>
 <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
 <eef90522-4131-9696-b4ec-8974c6657d6e@HIDDEN>
 <jwvwpn06atp.fsf-monnier+bug#23465@HIDDEN>
Date: Wed, 11 May 2016 15:08:09 +0200
Message-ID: <CABr8ebax3sAqiTQOFAJEFtK6FMv-vWZ8wkBTb4FZORLO-zjjfA@HIDDEN>
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
From: Anders Lindgren <andlind@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/alternative; boundary=001a1147e690b07ea0053290bb07
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 23465
Cc: Eli Zaretskii <eliz@HIDDEN>, 23465 <at> debbugs.gnu.org,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--001a1147e690b07ea0053290bb07
Content-Type: text/plain; charset=UTF-8

Hi!


> > Let's not give the users a choice, it's not exactly a meaningful one.
>
> Agreed.  In most cases whether something is a macro or a special form is
> a detail of implementation (typically driven by efficiency or
> simplicity).
>

I, partially, agree.

Emacs has for a long time highlighted "keywords" (taken with a grain of
salt) like "progn", "if", "when", "and", "or" etc. In other words, the core
functions used when writing elisp. I agree in that it should not matter
whether they are implemented in C or using a macro.

However, now Emacs also highlights *all* macros when they are used. In some
cases, like in "define-lex-block-type-analyzer", the keyword face is used
so much that the visual cues it normally provides are lost. In this case,
it would be better to use a different face for the user macros. One
candidate would be font-lock-preprocessor-face.


Anyway, we're striding away from the subject here. I'll commit the fix for
the "lambda" problem on the master branch and leave it broken on emacs-25.

    -- Anders

--001a1147e690b07ea0053290bb07
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote"><div=
>Hi!</div><div>=C2=A0</div><blockquote class=3D"gmail_quote" style=3D"margi=
n:0px 0px 0px 0.8ex;border-left-width:1px;border-left-color:rgb(204,204,204=
);border-left-style:solid;padding-left:1ex"><span class=3D"">&gt; Let&#39;s=
 not give the users a choice, it&#39;s not exactly a meaningful one.<br>
<br>
</span>Agreed.=C2=A0 In most cases whether something is a macro or a specia=
l form is<br>
a detail of implementation (typically driven by efficiency or<br>
simplicity).<br></blockquote><div><br></div><div>I, partially, agree.</div>=
<div><br></div><div>Emacs has for a long time highlighted &quot;keywords&qu=
ot; (taken with a grain of salt) like &quot;progn&quot;, &quot;if&quot;, &q=
uot;when&quot;, &quot;and&quot;, &quot;or&quot; etc. In other words, the co=
re functions used when writing elisp. I agree in that it should not matter =
whether they are implemented in C or using a macro.</div><br>However, now E=
macs also highlights *all* macros when they are used. In some cases, like i=
n &quot;define-lex-block-type-analyzer&quot;, the keyword face is used so m=
uch that the visual cues it normally provides are lost. In this case, it wo=
uld be better to use a different face for the user macros. One candidate wo=
uld be font-lock-preprocessor-face.<div><br></div><div><br></div><div>Anywa=
y, we&#39;re striding away from the subject here. I&#39;ll commit the fix f=
or the &quot;lambda&quot; problem on the master branch and leave it broken =
on emacs-25.</div><div><br></div><div>=C2=A0 =C2=A0 -- Anders</div><div><br=
></div></div></div></div>

--001a1147e690b07ea0053290bb07--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 11 May 2016 12:39:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 08:39:46 2016
Received: from localhost ([127.0.0.1]:46836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0TQY-0007AD-AX
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 08:39:46 -0400
Received: from mail-wm0-f45.google.com ([74.125.82.45]:36977)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1b0TQW-0007A0-Tx
 for 23465 <at> debbugs.gnu.org; Wed, 11 May 2016 08:39:45 -0400
Received: by mail-wm0-f45.google.com with SMTP id a17so80351528wme.0
 for <23465 <at> debbugs.gnu.org>; Wed, 11 May 2016 05:39:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=WdxktaqNpzniXxw7SgdIRiOoTv/ARcyVFnsCipBaGSA=;
 b=YvFx9F2B9/OUuDhtb7yZklC13jWuwYIOsqFe3hUO84vSnwxVmJf46utmeQ2dAQ9GkE
 VQwDUWptoLs9eDc54T3RFyLP6Zpel8gKI1YWpG0gNJukS4VaRJLEDjHHHlEHT0xOSJ6J
 aB0saX9Bm3d7y/oetNMTJwaRko+yPjMxz+mzOg2MkFlqaLblchqLt+somDRkJ7FPb8Qe
 5k7nkwtwEeIgdyy5FCiuLcYVhe3qdamb1AEJIFwQydQ8QCa7eYYDOmaIyjZ1TJbjYXGI
 XWut9RFMnQqahhZWGBWY+c7qynBB9p/mSiOGoK9YtbgFrcIS9zXVslZGMy3SJuMCki/2
 i2/w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=WdxktaqNpzniXxw7SgdIRiOoTv/ARcyVFnsCipBaGSA=;
 b=kjplnfUiI8/s4l/aF60vIHPY+UIAgR1xlUU2TMhFrvkES7p+vTlhUWx5/h+D8X2pHL
 pQ+WHeZV92+MHVmmmYA4sTImIDzO/Y3kVJJOMn78pjotCdtznOudkrlSK9OugFlGAYxk
 eUl3oLhGvWp1ZLSjBDpgMybiuBYAk1x45RVJhfDbQcnLHlKftDXIz6IRrdZPQsy2S1GH
 tnRyBnLlYnsCaVE/VbcbIlpx9Wp9XT6aPV0gTQrWgzjlLkkq8wuMV+JE6/LJ402TD3Iu
 WLJR0aJJPVQNZpSBs6CJWqjdsgIgsVmLkEBVYC2nD+vwghLLyzH7LQnElsuK86yN4BzM
 jRew==
X-Gm-Message-State: AOPr4FWoPKGcqHisxpUo4UMNaDce6KxpaKRzuNEnd8/ltjHyEIZ79Xklls++AvJOPt5FTg==
X-Received: by 10.194.112.233 with SMTP id it9mr3835278wjb.22.1462970379174;
 Wed, 11 May 2016 05:39:39 -0700 (PDT)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id f135sm8346754wmf.22.2016.05.11.05.39.37
 (version=TLSv1/SSLv3 cipher=OTHER);
 Wed, 11 May 2016 05:39:38 -0700 (PDT)
Subject: Re: bug#23465: 25.0.93; `lambda' after hash-quote not highlighted as
 keyword
To: Stefan Monnier <monnier@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN> <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
 <eef90522-4131-9696-b4ec-8974c6657d6e@HIDDEN>
 <jwvwpn06atp.fsf-monnier+bug#23465@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <8258fd32-4b62-ac81-279d-1e48d89c79f8@HIDDEN>
Date: Wed, 11 May 2016 15:39:37 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.1
MIME-Version: 1.0
In-Reply-To: <jwvwpn06atp.fsf-monnier+bug#23465@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 23465
Cc: Eli Zaretskii <eliz@HIDDEN>, Anders Lindgren <andlind@HIDDEN>,
 23465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 05/11/2016 03:32 PM, Stefan Monnier wrote:

> Not sure what you mean.  To the extent that the macro symbols form
> syntactic constructs, they correspond to the "reserved keywords" that we
> usually highlight in font-lock-keyword-face in other languages, so
> I think in this respect, we're pretty much consistent.

I gave an example of a problem in trying to differentiate between the 
special forms and the rest of the macros: we'd have to use 
font-lock-builtin-face, and it's already taken.

But continuing to highlight them both with font-lock-keyword-face is 
just fine by me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 11 May 2016 12:33:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 08:33:02 2016
Received: from localhost ([127.0.0.1]:46832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0TK2-0006y7-F0
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 08:33:02 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:57628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1b0TK0-0006xT-8L
 for 23465 <at> debbugs.gnu.org; Wed, 11 May 2016 08:33:00 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0A2FgA731xV/5Yrq8BcgxCEAoVVu0CEfoJNBAICgTw7EgEBAQEBAQGBCkEFg10BAQMBViMFCwsOJhIUGA0kiDcIzyMBAQEBAQEEAQEBAR6LOoUFB4QtBbUEI4IJHYFuIoJ4AQEB
X-IPAS-Result: A0A2FgA731xV/5Yrq8BcgxCEAoVVu0CEfoJNBAICgTw7EgEBAQEBAQGBCkEFg10BAQMBViMFCwsOJhIUGA0kiDcIzyMBAQEBAQEEAQEBAR6LOoUFB4QtBbUEI4IJHYFuIoJ4AQEB
X-IronPort-AV: E=Sophos;i="5.13,465,1427774400"; d="scan'208";a="238084583"
Received: from 192-171-43-150.cpe.pppoe.ca (HELO pastel.home)
 ([192.171.43.150])
 by ironport2-out.teksavvy.com with ESMTP; 11 May 2016 08:32:53 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id AECC663F2A; Wed, 11 May 2016 08:32:52 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
Message-ID: <jwvwpn06atp.fsf-monnier+bug#23465@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN>
 <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
 <eef90522-4131-9696-b4ec-8974c6657d6e@HIDDEN>
Date: Wed, 11 May 2016 08:32:52 -0400
In-Reply-To: <eef90522-4131-9696-b4ec-8974c6657d6e@HIDDEN> (Dmitry Gutov's
 message of "Wed, 11 May 2016 13:18:13 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 4.0 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Since #'(lambda is fully equivalent to (lambda, we don't
 want to write the > former anymore. The existing uses are probably holdouts
 from the time when > the equivalence wasn't true yet. I think there was
 something
 else at play (maybe the efficiency impact of macro-expanding `lambda'? I
 don't know): the equivalence has been true for *many* years already (the
 `lambda'
 macro was added sometime in Emacs-18 already, IIRC (and no, I don't remember
 it from when it appeared because I wasn't an Emacs user yet back then, but
 I traced it back the RCS history at some point)). [...] 
 Content analysis details:   (4.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [206.248.154.181 listed in list.dnswl.org]
 3.7 FSL_HELO_HOME          No description available.
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
X-Debbugs-Envelope-To: 23465
Cc: Eli Zaretskii <eliz@HIDDEN>, Anders Lindgren <andlind@HIDDEN>,
 23465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 4.0 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Since #'(lambda is fully equivalent to (lambda, we don't
    want to write the > former anymore. The existing uses are probably holdouts
    from the time when > the equivalence wasn't true yet. I think there was something
    else at play (maybe the efficiency impact of macro-expanding `lambda'? I
   don't know): the equivalence has been true for *many* years already (the `lambda'
    macro was added sometime in Emacs-18 already, IIRC (and no, I don't remember
    it from when it appeared because I wasn't an Emacs user yet back then, but
    I traced it back the RCS history at some point)). [...] 
 
 Content analysis details:   (4.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [206.248.154.181 listed in list.dnswl.org]
  3.7 FSL_HELO_HOME          No description available.
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)

> Since #'(lambda is fully equivalent to (lambda, we don't want to write the
> former anymore. The existing uses are probably holdouts from the time when
> the equivalence wasn't true yet.

I think there was something else at play (maybe the efficiency impact of
macro-expanding `lambda'? I don't know): the equivalence has been true
for *many* years already (the `lambda' macro was added sometime in
Emacs-18 already, IIRC (and no, I don't remember it from when it
appeared because I wasn't an Emacs user yet back then, but I traced it
back the RCS history at some point)).

> Let's not give the users a choice, it's not exactly a meaningful one.

Agreed.  In most cases whether something is a macro or a special form is
a detail of implementation (typically driven by efficiency or
simplicity).

> We should rather have a standard which faces to use where that's kept
> consistent across major modes.
> Alas, our choice is not easy here, since `font-lock-builtin-face' is
> currently used for keyword symbols.

Not sure what you mean.  To the extent that the macro symbols form
syntactic constructs, they correspond to the "reserved keywords" that we
usually highlight in font-lock-keyword-face in other languages, so
I think in this respect, we're pretty much consistent.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 11 May 2016 12:25:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 08:25:18 2016
Received: from localhost ([127.0.0.1]:46824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0TCY-0006m2-EY
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 08:25:18 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:22243)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1b0TCW-0006lp-FZ
 for 23465 <at> debbugs.gnu.org; Wed, 11 May 2016 08:25:17 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0A8FgA731xV/5Yrq8BcgxCEAk6FB7tAhH6CTQQCAoE8OxIBAQEBAQEBgQpBBYNdAQEDASMzIxALDgwCGA4CAhQYDSSINwirDKQXAQEBAQEFAgEfgSGKGYUFB4JogUUFtQQjggkdgW4igngBAQE
X-IPAS-Result: A0A8FgA731xV/5Yrq8BcgxCEAk6FB7tAhH6CTQQCAoE8OxIBAQEBAQEBgQpBBYNdAQEDASMzIxALDgwCGA4CAhQYDSSINwirDKQXAQEBAQEFAgEfgSGKGYUFB4JogUUFtQQjggkdgW4igngBAQE
X-IronPort-AV: E=Sophos;i="5.13,465,1427774400"; d="scan'208";a="238083951"
Received: from 192-171-43-150.cpe.pppoe.ca (HELO pastel.home)
 ([192.171.43.150])
 by ironport2-out.teksavvy.com with ESMTP; 11 May 2016 08:25:10 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 8308063F2A; Wed, 11 May 2016 08:25:10 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Leo Liu <sdl.web@HIDDEN>
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
Message-ID: <jwv37po7psq.fsf-monnier+bug#23465@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN>
 <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
 <83k2j1apv6.fsf@HIDDEN> <m24ma4q5gn.fsf@HIDDEN>
Date: Wed, 11 May 2016 08:25:10 -0400
In-Reply-To: <m24ma4q5gn.fsf@HIDDEN> (Leo Liu's message of "Wed, 11 May
 2016 18:00:56 +0800")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 4.0 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: >> I don't see the need to push this to emacs-25. It doesn't
 seem to be >> a problem that's critical enough. I think this should be
 installed
 on >> master, assuming no one objects. > Not highlighting lambda in those
 quoted cases isn't wrong because lambda > is no longer a macro but a symbol.
 [...] Content analysis details:   (4.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.7 FSL_HELO_HOME          No description available.
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [206.248.154.181 listed in list.dnswl.org]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
X-Debbugs-Envelope-To: 23465
Cc: 23465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 4.0 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >> I don't see the need to push this to emacs-25. It doesn't
    seem to be >> a problem that's critical enough. I think this should be installed
    on >> master, assuming no one objects. > Not highlighting lambda in those
    quoted cases isn't wrong because lambda > is no longer a macro but a symbol.
    [...] 
 
 Content analysis details:   (4.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [206.248.154.181 listed in list.dnswl.org]
  3.7 FSL_HELO_HOME          No description available.
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)

>> I don't see the need to push this to emacs-25.  It doesn't seem to be
>> a problem that's critical enough.  I think this should be installed on
>> master, assuming no one objects.
> Not highlighting lambda in those quoted cases isn't wrong because lambda
> is no longer a macro but a symbol.

I tend to agree.  It'd be fine to highlight them, but it's
not necessary.

The form #'(lambda ...) is not deprecated nor do I expect it to become
deprecated any time soon, but most people like myself prefer to simply
use (lambda ...) instead.

In #'(lambda ..) the `lambda' symbol is definitely not a macro, but is
a kind of special form, yet one that's yet different from progn/if/...

So it's OK to highlight it, but it's also perfectly OK not to.

In my buffers it looks like =CE=BB anyway, so it really doesn't matter.


        Stefan


PS: If we want to refine highlighting of #' then we could also highlight
    #'<symbol> differently depending on whether <symbol> is a function,
    a macro/specialform (probably highlighted as some sort of error) or
    none of those.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 11 May 2016 10:18:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 06:18:23 2016
Received: from localhost ([127.0.0.1]:46748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0RDj-0001jO-6s
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 06:18:23 -0400
Received: from mail-wm0-f49.google.com ([74.125.82.49]:38279)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1b0RDh-0001j8-IK
 for 23465 <at> debbugs.gnu.org; Wed, 11 May 2016 06:18:21 -0400
Received: by mail-wm0-f49.google.com with SMTP id g17so73697345wme.1
 for <23465 <at> debbugs.gnu.org>; Wed, 11 May 2016 03:18:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=yImTPiz5UJj1j3MU9InV0kqXZA82SdjV9utlaLuO2qg=;
 b=E6JPWHQSjYzdIu1HY5dNgBGVFNzrwIjGxDciog2g3HdRv8uzEyqbmnH2XTUyF+qMgu
 /X7q2+YO813yXHfUUr7zTTo54hLLSC5Zs0lRxIwADQS6XOq/4yIFFXWhRFWV4JilhKxV
 Y1dqG2v0BOTgkOjIVsVvrUuOj0IUeY6NAWFLs7YdRtZ9aSF+NnMjw42Ckoj7A1fv4fit
 x0BIH+EoPtnrvhNEJ4Ej1i0vfrLHXcvQO0oShXvDpzGiESG8TPbv6dLLRaJWiaDe2hQn
 xfaQ6YZSU6aPGtAiiHnJ6j3c91DTY+x7/k2Lvbpi6Jlr7zR9iPVTGm4CF53FXpQZj2FJ
 q3NA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=yImTPiz5UJj1j3MU9InV0kqXZA82SdjV9utlaLuO2qg=;
 b=efPT3qvTrkgf2g9UR3MhDpFXXCXURqQAwIJgD5igUXlneQym1F1/iWg0VsXY6546hj
 FJt/vaXitjRBj17itvoMn/7f/awskwJ15ZN05vscZoWTjYxrVxpnnoL5Njf0u0ivSSCT
 /eEWgJzHAuZJSMkrUZ0hue5hDn7oDn2qF6YvLe1+5m8R228D5CkLbvfCprQSHis4u7Sz
 n5laTj+OBlaouAcUk+E5yG7aHztVoxVqndlNNCqobjko3JPKAeiEmgwYgaawugdViW/W
 n/wHvtrWYNiO3wvVZtlhqQdaXRjQgc/l/11v6TkfF+JJQ7eS1/K3pGaoKrLCLRdqsmsn
 rfhg==
X-Gm-Message-State: AOPr4FUnQYL7BoLiEJH/l7Ohb8i8bOqH6GamdEQOpLQZmjtdp/duE1KKDePAUUAr5r7ylQ==
X-Received: by 10.28.218.21 with SMTP id r21mr23015949wmg.100.1462961895833;
 Wed, 11 May 2016 03:18:15 -0700 (PDT)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id ck9sm7290163wjc.22.2016.05.11.03.18.14
 (version=TLSv1/SSLv3 cipher=OTHER);
 Wed, 11 May 2016 03:18:15 -0700 (PDT)
Subject: Re: bug#23465: 25.0.93; `lambda' after hash-quote not highlighted as
 keyword
To: Anders Lindgren <andlind@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN> <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <eef90522-4131-9696-b4ec-8974c6657d6e@HIDDEN>
Date: Wed, 11 May 2016 13:18:13 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.1
MIME-Version: 1.0
In-Reply-To: <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 23465
Cc: Eli Zaretskii <eliz@HIDDEN>, 23465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 05/11/2016 12:34 PM, Anders Lindgren wrote:

> I thought they were the preferred way to write lambda:s. All examples in
> the elisp reference guide use #' and there are almost 400 uses of them
> in the Emacs source.

Since #'(lambda is fully equivalent to (lambda, we don't want to write 
the former anymore. The existing uses are probably holdouts from the 
time when the equivalence wasn't true yet.

I see only 4 hits on #'(lambda in our .texi files, and one of them (in 
functions.texi) says that the usages are equivalent and further 
elaborates on that. The others should be changed.

>     As an aside, it would be great if we could get rid of the
>     duplication between lisp--el-non-funcall-position-p vs
>     elisp--form-quoted-p, elisp--expect-function-p and some bits inside
>     elisp-completion-at-point. Or reduce it, at least.
>
>
> Good points. However, shouldn't this be done in the master branch, not
> in emacs-25?

Yep.

> When we're talking about enhancements. Currently, lisp special forms
> (like "if" and "and") as well as elisp macros are highlighted using the
> keyword face. Shouldn't it be better to use two different faces, or at
> least give the user the option to configure this separately?

Let's not give the users a choice, it's not exactly a meaningful one.

We should rather have a standard which faces to use where that's kept 
consistent across major modes.

Alas, our choice is not easy here, since `font-lock-builtin-face' is 
currently used for keyword symbols.

 > I would
 > imagine that the real keywords would no longer stand out in lisp
 > source using lots of macros. (Again, this is not for emacs-25.)

What's a keyword in Lisp? I'm not sure you can draw a definite line, 
especially since we could have a primitive defined in C in one version 
of Emacs, and moved to Lisp in the next version.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 May 2016 10:01:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 06:01:31 2016
Received: from localhost ([127.0.0.1]:46733 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0QxO-0001Gs-OP
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 06:01:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0QxN-0001Gf-59
 for submit <at> debbugs.gnu.org; Wed, 11 May 2016 06:01:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0QxD-00040S-1n
 for submit <at> debbugs.gnu.org; Wed, 11 May 2016 06:01:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.7 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 FSL_HELO_BARE_IP_2,RCVD_NUMERIC_HELO autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57669)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0QxC-00040O-Vj
 for submit <at> debbugs.gnu.org; Wed, 11 May 2016 06:01:18 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41984)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0Qx5-0004hu-Nl
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2016 06:01:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0Qx0-0003z7-Lu
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2016 06:01:11 -0400
Received: from plane.gmane.org ([80.91.229.3]:44166)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0Qx0-0003yl-BT
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2016 06:01:06 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b0Qwx-0002ne-0Z
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2016 12:01:03 +0200
Received: from 221.222.155.250 ([221.222.155.250])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Wed, 11 May 2016 12:01:02 +0200
Received: from sdl.web by 221.222.155.250 with local (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Wed, 11 May 2016 12:01:02 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Leo Liu <sdl.web@HIDDEN>
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
Date: Wed, 11 May 2016 18:00:56 +0800
Lines: 9
Message-ID: <m24ma4q5gn.fsf@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN>
 <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
 <83k2j1apv6.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: 221.222.155.250
Face: iVBORw0KGgoAAAANSUhEUgAAACkAAAApAQAAAACAGz1bAAABKElEQVQYlWNg3NIt5FDPUPt7
 4+X79Qyucz5/ugik+L2PBgKpyphaIK921q23QDnG0NBQoMr/vaWl9f8ZLL78uPv5PwN7RETfzXoG
 jhmFz27XM0RXmpuY/WfY+fv0Mc56BvFybfXA/wwL5t/wF61n2PU59axXPcOVzbmSW/8zrNt1benC
 /ww70hqUU/4zKCtrT9jwn8FhwynbufUMendE2aLqGRpdX9al1zM8eh17lKeeQcTMrdD5P8P3j/YT
 Q/8zXHSb7p1Qz/C4OM2JuZ7hgtI7K6AjqsMnf8j4z8C6xG1tw3+GqpqvsVn/GTzmpD9j/8/wP/oZ
 S/l/Bka+QO/g/wy15ueeFQL9N1O8mPU/g+umV3t1gdT0/1bTgHLqYVeXAlWKpMWt+w8Az82C9nHf
 X0cAAAAASUVORK5CYII=
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.93 (OS X 10.11.4)
Cancel-Lock: sha1:Jqa+L0UiPjuCL1WoV6tksJEKNGs=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

On 2016-05-11 12:46 +0300, Eli Zaretskii wrote:
> I don't see the need to push this to emacs-25.  It doesn't seem to be
> a problem that's critical enough.  I think this should be installed on
> master, assuming no one objects.

Not highlighting lambda in those quoted cases isn't wrong because lambda
is no longer a macro but a symbol.

Leo





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 11 May 2016 09:46:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 05:46:57 2016
Received: from localhost ([127.0.0.1]:46729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0QjJ-0000vs-DM
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 05:46:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45203)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1b0QjI-0000vh-At
 for 23465 <at> debbugs.gnu.org; Wed, 11 May 2016 05:46:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1b0QjA-0007h1-4e
 for 23465 <at> debbugs.gnu.org; Wed, 11 May 2016 05:46:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.3 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49258)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1b0QjA-0007gn-1s; Wed, 11 May 2016 05:46:48 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4924
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1b0Qj7-00010k-TW; Wed, 11 May 2016 05:46:46 -0400
Date: Wed, 11 May 2016 12:46:53 +0300
Message-Id: <83k2j1apv6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Anders Lindgren <andlind@HIDDEN>
In-reply-to: <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
 (message from Anders Lindgren on Wed, 11 May 2016 11:34:36 +0200)
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN>
 <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
 <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.1 (-------)
X-Debbugs-Envelope-To: 23465
Cc: 23465 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.1 (-------)

> Date: Wed, 11 May 2016 11:34:36 +0200
> From: Anders Lindgren <andlind@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, 23465 <at> debbugs.gnu.org
> 
> Well, I need to get a "go ahead" from someone to push this to the emacs-25 branch...

I don't see the need to push this to emacs-25.  It doesn't seem to be
a problem that's critical enough.  I think this should be installed on
master, assuming no one objects.

> Anyway, I mailed Stefan asking him to take a look at this.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 11 May 2016 09:34:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 05:34:43 2016
Received: from localhost ([127.0.0.1]:46695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0QXT-0000dV-6v
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 05:34:43 -0400
Received: from mail-vk0-f47.google.com ([209.85.213.47]:34623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andlind@HIDDEN>) id 1b0QXR-0000dJ-Qn
 for 23465 <at> debbugs.gnu.org; Wed, 11 May 2016 05:34:42 -0400
Received: by mail-vk0-f47.google.com with SMTP id m188so49718997vka.1
 for <23465 <at> debbugs.gnu.org>; Wed, 11 May 2016 02:34:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc; bh=pnfCLaTvz8YQBsvix3O9kudofKZe6o11q4lWA3+Mm6g=;
 b=GOgpftCzEi8XacvcuDoR1Tm+7fA6Avkt+RvN6H+81BzL/HHXC3Ej82aeWn7W0SoGJD
 JllZlYlguPhWOXC9AlA4JY2jxmQeY8ZIqywXRhKRSmX1z1uOs0OIZPen3Q939ZRTlOkh
 0xwIbh1xOHcbvaWfaSrBPNTcdqgO7nZPKyiUMYqGL42lHlX9baUtWh/gZdA+z9yw6Fpl
 +yLI9CYapnyQe3aiMD6xrZ2mgVL8fmXATlxgQGLJiCd1DVplnY8DF2OA52QNU2Q8lNub
 6qHrkYnIcx9b+F4gPYQ4akLRSIKFvmg3sY/oOJjc41n4X8l9oxM7FBZE0J9xQS44NmE/
 0nPQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc;
 bh=pnfCLaTvz8YQBsvix3O9kudofKZe6o11q4lWA3+Mm6g=;
 b=DiyUolIXq5eGQTNX0fOK79mWsU2N26EMN2o//amfItqfMUkQBKDbAv36nBiK4ANk1F
 M2jbrX9bLQXqE7rjFpJd4r9hHtGGYvTTdVFEmL1dF2IbtdrS74EGvxCRwy1nnJf32RGv
 OjYEf2URAf2Q++Ei6lUHWg3/Qojr17TfAkXrMIT9n7OA/YyMGpZvW8URsVTWNzo+sw/z
 pYX7zuPoz5s2JYI6TiaRWh8O7X0HlxWOJqI//Q97+r9S6uIwsNKV2nq2kMwfD+EJ+FcB
 pEDe816B6MJ5JjeCQaSHqLufSuwi3p0xdyXofwhvMFI40BkpmYBhRZ/LZbLZXcQtLNQQ
 +WMw==
X-Gm-Message-State: AOPr4FWEdBk9Mr3S2eWi+GLxZbaXIGqipjfSgzQf6I8ym4UmYHVNTA6Q3jj3C7XdgqQIvAzOoFpMr7G2lyckCg==
MIME-Version: 1.0
X-Received: by 10.31.94.6 with SMTP id s6mr1123420vkb.105.1462959276187; Wed,
 11 May 2016 02:34:36 -0700 (PDT)
Received: by 10.31.214.131 with HTTP; Wed, 11 May 2016 02:34:36 -0700 (PDT)
In-Reply-To: <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN>
 <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
Date: Wed, 11 May 2016 11:34:36 +0200
Message-ID: <CABr8ebYiCWNXpi73j99LcXgWra=OOdCAUikULV-f9uS5AbWDpQ@HIDDEN>
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
From: Anders Lindgren <andlind@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Content-Type: multipart/alternative; boundary=001a114e1ff4fa695105328dbf0a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23465
Cc: Eli Zaretskii <eliz@HIDDEN>, 23465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a114e1ff4fa695105328dbf0a
Content-Type: text/plain; charset=UTF-8

Hi!

Eli:

> Sorry, I don't know anything about that code, and don't consider
> myself an expert on font-lock enough to judge this suggestion.  I hope
> someone else will chime in.

Well, I need to get a "go ahead" from someone to push this to the emacs-25
branch... Anyway, I mailed Stefan asking him to take a look at this.


Dmitry:

> But should we encourage this use of sharp quotes? There is no need to
> quote lambdas; sharp quote doesn't hurt, but is there a case where it would
> help with a lambda?
>

I thought they were the preferred way to write lambda:s. All examples in
the elisp reference guide use #' and there are almost 400 uses of them in
the Emacs source.

Anyway, dropping highlighting support for them isn't the way to go, yet,
even if we would like to deprecate them in the future.


As an aside, it would be great if we could get rid of the duplication
> between lisp--el-non-funcall-position-p vs elisp--form-quoted-p,
> elisp--expect-function-p and some bits inside elisp-completion-at-point. Or
> reduce it, at least.
>

Good points. However, shouldn't this be done in the master branch, not in
emacs-25?

When we're talking about enhancements. Currently, lisp special forms (like
"if" and "and") as well as elisp macros are highlighted using the keyword
face. Shouldn't it be better to use two different faces, or at least give
the user the option to configure this separately? I would imagine that the
real keywords would no longer stand out in lisp source using lots of
macros. (Again, this is not for emacs-25.)

    -- Anders

--001a114e1ff4fa695105328dbf0a
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi!<div><br></div><div>Eli:</div><div><br></div><div><span=
 style=3D"font-size:12.8px">&gt; Sorry, I don&#39;t know anything about tha=
t code, and don&#39;t consider</span><br style=3D"font-size:12.8px"><span s=
tyle=3D"font-size:12.8px">&gt; myself an expert on font-lock enough to judg=
e this suggestion.=C2=A0 I hope</span><br style=3D"font-size:12.8px"><span =
style=3D"font-size:12.8px">&gt; someone else will chime in.</span><br></div=
><div><span style=3D"font-size:12.8px"><br></span></div><div><span style=3D=
"font-size:12.8px">Well, I need to get a &quot;go ahead&quot; from someone =
to push this to the emacs-25 branch... Anyway, I mailed Stefan asking him t=
o take a look at this.</span></div><div><span style=3D"font-size:12.8px"><b=
r></span></div><div><br></div><div>Dmitry:<br><div class=3D"gmail_extra"><d=
iv class=3D"gmail_quote"><blockquote class=3D"gmail_quote" style=3D"margin:=
0px 0px 0px 0.8ex;border-left-width:1px;border-left-color:rgb(204,204,204);=
border-left-style:solid;padding-left:1ex">But should we encourage this use =
of sharp quotes? There is no need to quote lambdas; sharp quote doesn&#39;t=
 hurt, but is there a case where it would help with a lambda?<br></blockquo=
te><div><br></div><div>I thought they were the preferred way to write lambd=
a:s. All examples in the elisp reference guide use #&#39; and there are alm=
ost 400 uses of them in the Emacs source.</div><div><br></div><div>Anyway, =
dropping highlighting support for them isn&#39;t the way to go, yet, even i=
f we would like to deprecate them in the future.</div><div><br></div><div><=
br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8e=
x;border-left-width:1px;border-left-color:rgb(204,204,204);border-left-styl=
e:solid;padding-left:1ex">As an aside, it would be great if we could get ri=
d of the duplication between lisp--el-non-funcall-position-p vs elisp--form=
-quoted-p, elisp--expect-function-p and some bits inside elisp-completion-a=
t-point. Or reduce it, at least.<br></blockquote><div><br></div><div>Good p=
oints. However, shouldn&#39;t this be done in the master branch, not in ema=
cs-25?</div><div><br></div><div>When we&#39;re talking about enhancements. =
Currently, lisp special forms (like &quot;if&quot; and &quot;and&quot;) as =
well as elisp macros are highlighted using the keyword face. Shouldn&#39;t =
it be better to use two different faces, or at least give the user the opti=
on to configure this separately? I would imagine that the real keywords wou=
ld no longer stand out in lisp source using lots of macros. (Again, this is=
 not for emacs-25.)</div><div><br></div><div>=C2=A0 =C2=A0 -- Anders</div><=
div><br></div></div></div></div></div>

--001a114e1ff4fa695105328dbf0a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 11 May 2016 09:19:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 05:19:42 2016
Received: from localhost ([127.0.0.1]:46678 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0QIw-0000Dh-9m
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 05:19:42 -0400
Received: from mail-vk0-f41.google.com ([209.85.213.41]:34563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andlind@HIDDEN>) id 1b0QIt-0000DU-P0
 for 23465 <at> debbugs.gnu.org; Wed, 11 May 2016 05:19:40 -0400
Received: by mail-vk0-f41.google.com with SMTP id m188so49328304vka.1
 for <23465 <at> debbugs.gnu.org>; Wed, 11 May 2016 02:19:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc; bh=knCdIN/WofYXbRgWMDzCsR2ns6uhAA7JRJRYuwZAYhA=;
 b=kXYeurKxzCnroQfKAp4L1G8nZiUJ7BHEYSDaxlvWG3e2HrzLeJslOEnPLQ8q/kPki9
 yit8BG/sw5fu9P8q84/zK/cZoST+SNK7zSEuVCEn5/nkt1nNmMViDT9nDHuatwWkTX60
 G6DArbQW+iXsXj8NO2IqkrmhL5Us2N931oHBQmLjLutceBBK32HO65i+UlG2MphBakRH
 qWRPFYD7b7idUPmhVcilglChsC/LyBFDiK4fuypiUVTSzdZjxcC18Rc96AnDrK3qmh4O
 i3NFaYu+UJZp5nbBLG/5InJYuUSjmaRi9WAvGQLJMCz/fuT9ja8Z8lYqdEy5+/+nHFNI
 +MMQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc;
 bh=knCdIN/WofYXbRgWMDzCsR2ns6uhAA7JRJRYuwZAYhA=;
 b=Pe03w1urVcffxhS0mvAMpUQWo+DwE9jNR+cxNByWDFYRhMjlvVj1gxKth2ItviIkgN
 4nAg5k96O5vJZmE2ibBQRWt/5+L1hs+iqoaK8JNIJeaQjiut4DXAz7gMASGKqXKOfSBX
 ja31pwaOL1TTh5IQWr4iyiXdBYIFkJPCw+rPaypfBlrdKmdtAuzRdBkkFbrx8RJHK9WD
 mAkz5vJ6ZIh6R6M3ru3uJYPIBpjhIk3uvQJ+bPkSVTztbY2OJg7IaajlD2nGX8SqcuQP
 km+3XY3+zL24RBOnXoBYxLlJFqCle+SctRnUea5FFtE1VPTCp67HccTAlrMWG/JMPQYw
 pVrw==
X-Gm-Message-State: AOPr4FVjV8oZ5kyGtqwpTI8jAZIdQDMxvdeXXs5GtGk8CvQrQwvevWeH7jqXhVOIZrlKR9btnsml7kPwGZIxtA==
MIME-Version: 1.0
X-Received: by 10.176.68.66 with SMTP id m60mr1150333uam.53.1462958374036;
 Wed, 11 May 2016 02:19:34 -0700 (PDT)
Received: by 10.31.214.131 with HTTP; Wed, 11 May 2016 02:19:33 -0700 (PDT)
In-Reply-To: <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN>
 <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
Date: Wed, 11 May 2016 11:19:33 +0200
Message-ID: <CABr8ebazxNJe5FNBcD7nKw8gBXJgFKY_ZPSMht6ozNSd8Xh_HQ@HIDDEN>
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
From: Anders Lindgren <andlind@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Content-Type: multipart/alternative; boundary=001a114ffebe34b01405328d8a1c
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23465
Cc: Eli Zaretskii <eliz@HIDDEN>, 23465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a114ffebe34b01405328d8a1c
Content-Type: text/plain; charset=UTF-8

On Wed, May 11, 2016 at 12:09 AM, Dmitry Gutov <dgutov@HIDDEN> wrote:

> On 05/10/2016 07:25 PM, Eli Zaretskii wrote:
>
> Sorry, I don't know anything about that code, and don't consider
>> myself an expert on font-lock enough to judge this suggestion.  I hope
>> someone else will chime in.
>>
>
> FWIW, LGTM.
>
> But should we encourage this use of sharp quotes? There is no need to
> quote lambdas; sharp quote doesn't hurt, but is there a case where it would
> help with a lambda?
>
> As an aside, it would be great if we could get rid of the duplication
> between lisp--el-non-funcall-position-p vs elisp--form-quoted-p,
> elisp--expect-function-p and some bits inside elisp-completion-at-point. Or
> reduce it, at least.
>

--001a114ffebe34b01405328d8a1c
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br></div><div class=3D"gmail_extra"><br><div class=3D"gma=
il_quote">On Wed, May 11, 2016 at 12:09 AM, Dmitry Gutov <span dir=3D"ltr">=
&lt;<a href=3D"mailto:dgutov@HIDDEN" target=3D"_blank">dgutov@HIDDEN<=
/a>&gt;</span> wrote:<br><blockquote class=3D"gmail_quote" style=3D"margin:=
0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><span class=3D"">On=
 05/10/2016 07:25 PM, Eli Zaretskii wrote:<br>
<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">
Sorry, I don&#39;t know anything about that code, and don&#39;t consider<br=
>
myself an expert on font-lock enough to judge this suggestion.=C2=A0 I hope=
<br>
someone else will chime in.<br>
</blockquote>
<br></span>
FWIW, LGTM.<br>
<br>
But should we encourage this use of sharp quotes? There is no need to quote=
 lambdas; sharp quote doesn&#39;t hurt, but is there a case where it would =
help with a lambda?<br>
<br>
As an aside, it would be great if we could get rid of the duplication betwe=
en lisp--el-non-funcall-position-p vs elisp--form-quoted-p, elisp--expect-f=
unction-p and some bits inside elisp-completion-at-point. Or reduce it, at =
least.<br>
</blockquote></div><br></div>

--001a114ffebe34b01405328d8a1c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 10 May 2016 22:09:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 18:09:59 2016
Received: from localhost ([127.0.0.1]:46391 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0Fqp-0001je-Jj
	for submit <at> debbugs.gnu.org; Tue, 10 May 2016 18:09:59 -0400
Received: from mail-wm0-f45.google.com ([74.125.82.45]:38605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1b0Fqn-0001jR-Il
 for 23465 <at> debbugs.gnu.org; Tue, 10 May 2016 18:09:58 -0400
Received: by mail-wm0-f45.google.com with SMTP id g17so51380164wme.1
 for <23465 <at> debbugs.gnu.org>; Tue, 10 May 2016 15:09:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=amH2yc/lnPu8LMZ+UEMW3et1bNdcW3A+0FU+0O0IIic=;
 b=npF8VPSWSZmoSkBOlQBgG4JoHU7cL7f/gXS9yk3R9LcIQ+ptBzDJSx6XcO9UGheLSV
 a4GNTWv6Ys2Jsk3ixEQFSfPvej0cTeAuY+P0p4FT4uSyh2M5Ij1SeQ8fJw/Wgr1RhH4W
 y3WsSBxGe5pHa9kG8WMlTDN97xZHlGHbrlmUyDZmKyJploYj+Z2fJiek1CVdjlgXG9H4
 ZSKI4nq7W4ixa3uYxoZ1Rs4CIBYSvgVhYHifvfnm/oL6wBMtiScnM5w6UNPaKIF4VcJN
 pjF9sXormymfeHZck8YQJe694PxzGCFt57PXeu+/Nnt1K+LZdfnwiBM/vL0t1hSjpN4K
 Jclg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=amH2yc/lnPu8LMZ+UEMW3et1bNdcW3A+0FU+0O0IIic=;
 b=gzs3ckW8kJipv7PJngUUXh9uXJKf+MrEKFQe+7a8TfpsSAaSvRLgCbBOkcApPIMmbR
 gYgtOUP46aOxuku131osAHjdhyMmrUeNqUprqef4FKSZVSAVu1/WQYexUB3ATAdwtVt7
 2B182ZSHVqlQRlWDC2siqexzFpuclpSIX9mm7SdaG3V0lyUeHUomtu9TaEkSkCov0LsV
 6t0ByrpmjXzGZZsaNDpO9SePY48Gm8am0oil0QaUGGhKO79atgn6PmC+fvvr2R6MzOcs
 KSkRTl5ufspI4vaP1CVnMHecO0VjCPOvq9A38qaTRODyYgLHXVvF42pjBmwZ+iHN/DMK
 EwGw==
X-Gm-Message-State: AOPr4FUppf0pzhs2SXr9vk3mx28guqU478FmojfgDAv/8N++ZRLYZlGZqaOMgQtMSXRA2A==
X-Received: by 10.194.248.135 with SMTP id ym7mr41612265wjc.174.1462918191990; 
 Tue, 10 May 2016 15:09:51 -0700 (PDT)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id i194sm32355671wmf.6.2016.05.10.15.09.51
 (version=TLSv1/SSLv3 cipher=OTHER);
 Tue, 10 May 2016 15:09:51 -0700 (PDT)
Subject: Re: bug#23465: 25.0.93; `lambda' after hash-quote not highlighted as
 keyword
To: Eli Zaretskii <eliz@HIDDEN>, Anders Lindgren <andlind@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 <83zirxc22i.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <56d56c19-466b-9aaa-c7a3-18c95c848091@HIDDEN>
Date: Wed, 11 May 2016 01:09:50 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.1
MIME-Version: 1.0
In-Reply-To: <83zirxc22i.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 23465
Cc: 23465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 05/10/2016 07:25 PM, Eli Zaretskii wrote:

> Sorry, I don't know anything about that code, and don't consider
> myself an expert on font-lock enough to judge this suggestion.  I hope
> someone else will chime in.

FWIW, LGTM.

But should we encourage this use of sharp quotes? There is no need to 
quote lambdas; sharp quote doesn't hurt, but is there a case where it 
would help with a lambda?

As an aside, it would be great if we could get rid of the duplication 
between lisp--el-non-funcall-position-p vs elisp--form-quoted-p, 
elisp--expect-function-p and some bits inside elisp-completion-at-point. 
Or reduce it, at least.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 10 May 2016 16:25:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 12:25:52 2016
Received: from localhost ([127.0.0.1]:46090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0ATo-00020A-40
	for submit <at> debbugs.gnu.org; Tue, 10 May 2016 12:25:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1b0ATl-0001zx-Qr
 for 23465 <at> debbugs.gnu.org; Tue, 10 May 2016 12:25:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1b0ATb-0004iH-Il
 for 23465 <at> debbugs.gnu.org; Tue, 10 May 2016 12:25:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.0 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33588)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1b0ATb-0004hx-FU; Tue, 10 May 2016 12:25:39 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2888
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1b0ATY-0006Mu-Hk; Tue, 10 May 2016 12:25:37 -0400
Date: Tue, 10 May 2016 19:25:41 +0300
Message-Id: <83zirxc22i.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Anders Lindgren <andlind@HIDDEN>
In-reply-to: <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
 (message from Anders Lindgren on Tue, 10 May 2016 17:00:28 +0200)
Subject: Re: bug#23465: 25.0.93;
 `lambda' after hash-quote not highlighted as keyword
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
 <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.1 (-------)
X-Debbugs-Envelope-To: 23465
Cc: 23465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.1 (-------)

> Date: Tue, 10 May 2016 17:00:28 +0200
> From: Anders Lindgren <andlind@HIDDEN>
> 
>  The attached patch fix the problem. It considers '(xxx) not to be a function calling position (like before),
>  but #'(xxx) is (unlike before).
> 
>  Is it the way we should handle this problem? If so, can this go into emacs-25? (The only use of the
>  modified function, which didn't exist in Emacs 24, is for highlighting lisp keywords.)
> 
> Ping!
> 
> John? Eli?

Sorry, I don't know anything about that code, and don't consider
myself an expert on font-lock enough to judge this suggestion.  I hope
someone else will chime in.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 10 May 2016 15:00:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 11:00:36 2016
Received: from localhost ([127.0.0.1]:46009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b099I-0007Ho-6k
	for submit <at> debbugs.gnu.org; Tue, 10 May 2016 11:00:36 -0400
Received: from mail-vk0-f41.google.com ([209.85.213.41]:36361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andlind@HIDDEN>) id 1b099G-0007BW-E2
 for 23465 <at> debbugs.gnu.org; Tue, 10 May 2016 11:00:34 -0400
Received: by mail-vk0-f41.google.com with SMTP id s184so19345661vkb.3
 for <23465 <at> debbugs.gnu.org>; Tue, 10 May 2016 08:00:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to;
 bh=h4M/zk5Z/myxKNBFyPhjPruWwzD6fyxn2NvSs9WFMII=;
 b=ohkTQxqnemhHR5e09Ip3bQ8EVFte94iq4FhNwzoslC1/cYwVCQJGpUgzDwyUH5MTUK
 G3nVPmoZX1H0Nw87M+fUqYVKJA/6pklI4KU+0VDzYTtuVXCHpGdc4aCbypEFajEkGJ4d
 cVyOl0bJ+M7X7K7QvGWsZCyHlut7nhcQxWE9qggwYlJ7aCVGz/2IT0L0904Ej7QrQ4rC
 k1DOxV58UwWtY6RuEcffemFl0R2+Sphilh5RgfHeULjmAQOd6EzLL60/CS9fnrM42m4T
 Xe7Vm70KV7jBlIiIijhT9OM4TirAXmIvEPF+kYMJK3YH78yLuR+TQZ+pM3U/9DYO+axu
 W/Tg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to;
 bh=h4M/zk5Z/myxKNBFyPhjPruWwzD6fyxn2NvSs9WFMII=;
 b=L3cRS3E8IVgq/p0GKuCuwREjStkSYF2z+DBwgwBccDqwRvKZef9zQerxXX9sYnVCWx
 VXwZn4+cAG6Pp7dRCk82HkwbH2nV0QrnCG7ZRg5ccLc3aprf5RmEzYONZs+8v5FKjT2S
 W/hJPSfOfvESewqgrJwfk8yPQJ2Bw/jwV0zNYclVrqQHDXkIQnShUYf3yQp0BHDttxG+
 Aej7clwfcU8huFLIg0EuqN56NvfLuAQAHMtlPDEY8+sg/qXNoeNL1YZ9Z/LfPXCDU9iR
 tXw7Y4p+R1Npy8fLfTQQ9dVvyD6a/k9mNThT16dcf1ZQpE1D40/3OxVrhGuJRgc0QnVX
 fH3Q==
X-Gm-Message-State: AOPr4FW+/zsWKYdOIXsDWsVy8LVsAsahCsshDuG9aGRtYCxbDgT+v86vBn2BBcv/kM9s2/WsXz30IhC2HJM/Lg==
MIME-Version: 1.0
X-Received: by 10.31.181.83 with SMTP id e80mr8962588vkf.26.1462892428702;
 Tue, 10 May 2016 08:00:28 -0700 (PDT)
Received: by 10.31.214.131 with HTTP; Tue, 10 May 2016 08:00:28 -0700 (PDT)
In-Reply-To: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
References: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
Date: Tue, 10 May 2016 17:00:28 +0200
Message-ID: <CABr8ebb5B9ipq+9K8h2iY+pfAZyJ=-VoXXhF0pkY5Y+gG-1a9A@HIDDEN>
Subject: Re: 25.0.93; `lambda' after hash-quote not highlighted as keyword
From: Anders Lindgren <andlind@HIDDEN>
To: 23465 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary=001a1143a68c8ec1cb05327e2f48
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23465
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a1143a68c8ec1cb05327e2f48
Content-Type: text/plain; charset=UTF-8

On Fri, May 6, 2016 at 8:32 PM, Anders Lindgren <andlind@HIDDEN> wrote:

> Hi!
>
> The attached patch fix the problem. It considers '(xxx) not to be a
> function calling position (like before), but #'(xxx) is (unlike before).
>
> Is it the way we should handle this problem? If so, can this go into
> emacs-25? (The only use of the modified function, which didn't exist in
> Emacs 24, is for highlighting lisp keywords.)
>
>
Ping!

John? Eli?

    // Anders

--001a1143a68c8ec1cb05327e2f48
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">On F=
ri, May 6, 2016 at 8:32 PM, Anders Lindgren <span dir=3D"ltr">&lt;<a href=
=3D"mailto:andlind@HIDDEN" target=3D"_blank">andlind@HIDDEN</a>&gt;</=
span> wrote:<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8e=
x;border-left:1px #ccc solid;padding-left:1ex"><div dir=3D"ltr">Hi!<div><br=
></div><div>The attached patch fix the problem. It considers &#39;(xxx) not=
 to be a function calling position (like before), but #&#39;(xxx) is (unlik=
e before).</div><div><br></div><div>Is it the way we should handle this pro=
blem? If so, can this go into emacs-25? (The only use of the modified funct=
ion, which didn&#39;t exist in Emacs 24, is for highlighting lisp keywords.=
)</div><span class=3D"HOEnZb"><font color=3D"#888888"><div><br></div></font=
></span></div></blockquote><div><br></div><div>Ping!</div><div><br></div><d=
iv>John? Eli?</div><div><br></div><div>=C2=A0 =C2=A0 // Anders=C2=A0</div><=
/div><br></div></div>

--001a1143a68c8ec1cb05327e2f48--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at 23465 <at> debbugs.gnu.org:


Received: (at 23465) by debbugs.gnu.org; 6 May 2016 18:32:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 14:32:35 2016
Received: from localhost ([127.0.0.1]:42034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aykYF-0000zt-JJ
	for submit <at> debbugs.gnu.org; Fri, 06 May 2016 14:32:35 -0400
Received: from mail-vk0-f46.google.com ([209.85.213.46]:35016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andlind@HIDDEN>) id 1aykYE-0000zi-Ec
 for 23465 <at> debbugs.gnu.org; Fri, 06 May 2016 14:32:34 -0400
Received: by mail-vk0-f46.google.com with SMTP id f66so170165vkh.2
 for <23465 <at> debbugs.gnu.org>; Fri, 06 May 2016 11:32:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:cc;
 bh=UIOHywNqXP9d8Al4sePdtBPPSD4F7MnF67Z+r+sZM3Y=;
 b=t2x9KDD131ZLW8tz3xrp0+jvLNIV1VpARt1u9iGT8Mj8+5pZvepNhxIyiZHKw0V0vR
 VyNDkNsaSgOLpSWeM98f+QexI6nOtUUaFfbN03XqEGwXMLFdyZ/oIx+ctwH3gpUc+Z+t
 BFEC2ebwCONKEKCX8ULl4infxWdY8aQTYBiIaCWX7CXnPvmopZH3hoNMu6dac/h9+NFy
 vil2mlskRs55pMe3jyWP8I6tQgcXGyjGuQVCdERXk/chefW6IMY9dOEU7afFE1fEoddR
 kzDKx0HXOgBaHWPv+ztVqw2bVw2peX378c6rM35buKQMEinBmyNHzWOxGcTwe44xDJEE
 ISUQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:date:message-id:subject:from:to:cc;
 bh=UIOHywNqXP9d8Al4sePdtBPPSD4F7MnF67Z+r+sZM3Y=;
 b=VbbdQ4bBCHWpDA2XbL+yyPhtJMYE7kE6ogrrT9BGI0bbFrW5GAbTLkqOAUl5TVXyTl
 TJhXLry3DdHM5R5W9LMyob1ou4EfE4FwnYM8jwSThkmqJAFobyHYVGEAfDD7wD00yZfL
 MURpbqaoKpqqqT65bQlRJz9znxVsLtvUnUFnxc2sCCDD7LaMazmFn6uo+xYYJeA7tJof
 iAGLvbcR36qFFyPR0wkgLf2zwo1PmC6yIT1Tj4P6sNJ1w9U5dKWKRLZsZrd9SAF5+7XN
 mJYl3wVVgosJIAJ+2RQyIwrO9PjVcNP/sSuy8uc3IfVUQxPfIJYm8p/rj+SDZd5e7Ynf
 1MQA==
X-Gm-Message-State: AOPr4FXhB2WJvjMKT0m3gqY70oGjO/+TyPVw5mZB89B73ckRV1drf8o3+lb3gJzHHAOOj6YXaSKq60zCaam/iw==
MIME-Version: 1.0
X-Received: by 10.176.3.176 with SMTP id 45mr13950835uau.60.1462559548968;
 Fri, 06 May 2016 11:32:28 -0700 (PDT)
Received: by 10.31.214.131 with HTTP; Fri, 6 May 2016 11:32:28 -0700 (PDT)
Date: Fri, 6 May 2016 20:32:28 +0200
Message-ID: <CABr8ebZjLvF6bKV4Vf6Rhu2zr4_HzdoMgTNtZrh2k+XT0isW5w@HIDDEN>
Subject: 25.0.93; `lambda' after hash-quote not highlighted as keyword
From: Anders Lindgren <andlind@HIDDEN>
To: 23465 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary=94eb2c09daf06135e2053230ae4a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23465
Cc: Daniel Colascione <dancol@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--94eb2c09daf06135e2053230ae4a
Content-Type: multipart/alternative; boundary=94eb2c09daf06135dc053230ae48

--94eb2c09daf06135dc053230ae48
Content-Type: text/plain; charset=UTF-8

Hi!

The attached patch fix the problem. It considers '(xxx) not to be a
function calling position (like before), but #'(xxx) is (unlike before).

Is it the way we should handle this problem? If so, can this go into
emacs-25? (The only use of the modified function, which didn't exist in
Emacs 24, is for highlighting lisp keywords.)

    -- Anders

--94eb2c09daf06135dc053230ae48
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi!<div><br></div><div>The attached patch fix the problem.=
 It considers &#39;(xxx) not to be a function calling position (like before=
), but #&#39;(xxx) is (unlike before).</div><div><br></div><div>Is it the w=
ay we should handle this problem? If so, can this go into emacs-25? (The on=
ly use of the modified function, which didn&#39;t exist in Emacs 24, is for=
 highlighting lisp keywords.)</div><div><br></div><div>=C2=A0 =C2=A0 -- And=
ers</div><div><br></div></div>

--94eb2c09daf06135dc053230ae48--

--94eb2c09daf06135e2053230ae4a
Content-Type: text/plain; charset=US-ASCII; name="lambda.diff"
Content-Disposition: attachment; filename="lambda.diff"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_inw267qa0

ZGlmZiAtLWdpdCBhL2xpc3AvZW1hY3MtbGlzcC9saXNwLW1vZGUuZWwgYi9saXNwL2VtYWNzLWxp
c3AvbGlzcC1tb2RlLmVsCmluZGV4IDMxNWIzZDUuLjcwZWQ0MGUgMTAwNjQ0Ci0tLSBhL2xpc3Av
ZW1hY3MtbGlzcC9saXNwLW1vZGUuZWwKKysrIGIvbGlzcC9lbWFjcy1saXNwL2xpc3AtbW9kZS5l
bApAQCAtMTk1LDcgKzE5NSw4IEBAIGxpc3AtLWVsLW5vbi1mdW5jYWxsLXBvc2l0aW9uLXAKICAg
ICAoc2F2ZS1leGN1cnNpb24KICAgICAgIChpZ25vcmUtZXJyb3JzCiAgICAgICAgIChnb3RvLWNo
YXIgcG9zKQotICAgICAgICAob3IgKGVxbCAoY2hhci1iZWZvcmUpID9cJykKKyAgICAgICAgKG9y
IChhbmQgKGVxbCAoY2hhci1iZWZvcmUpID9cJykKKyAgICAgICAgICAgICAgICAgKG5vdCAoZXEg
KGNoYXItYmVmb3JlICgtIChwb2ludCkgMSkgPyMpKSkpCiAgICAgICAgICAgICAobGV0KiAoKHBw
c3MgKHN5bnRheC1wcHNzKSkKICAgICAgICAgICAgICAgICAgICAocGFyZW4tcG9zbnMgKG50aCA5
IHBwc3MpKQogICAgICAgICAgICAgICAgICAgIChwYXJlbnQK
--94eb2c09daf06135e2053230ae4a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 May 2016 10:08:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 06:08:07 2016
Received: from localhost ([127.0.0.1]:41181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aycg3-0000Z9-44
	for submit <at> debbugs.gnu.org; Fri, 06 May 2016 06:08:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andlind@HIDDEN>) id 1aycg1-0000Yg-KF
 for submit <at> debbugs.gnu.org; Fri, 06 May 2016 06:08:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andlind@HIDDEN>) id 1aycfm-00039G-Ds
 for submit <at> debbugs.gnu.org; Fri, 06 May 2016 06:07:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34511)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andlind@HIDDEN>) id 1aycfl-00038J-7I
 for submit <at> debbugs.gnu.org; Fri, 06 May 2016 06:07:50 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38602)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andlind@HIDDEN>) id 1aycfZ-0004Yd-05
 for bug-gnu-emacs@HIDDEN; Fri, 06 May 2016 06:07:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andlind@HIDDEN>) id 1aycfK-00030U-Q5
 for bug-gnu-emacs@HIDDEN; Fri, 06 May 2016 06:07:29 -0400
Received: from mail-yw0-x235.google.com ([2607:f8b0:4002:c05::235]:33555)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andlind@HIDDEN>) id 1aycfJ-0002tu-Ic
 for bug-gnu-emacs@HIDDEN; Fri, 06 May 2016 06:07:22 -0400
Received: by mail-yw0-x235.google.com with SMTP id t10so195931357ywa.0
 for <bug-gnu-emacs@HIDDEN>; Fri, 06 May 2016 03:07:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to;
 bh=nDadyb+YGxVC3TWgR2Nzc09XY1LyEZcRdhI1MiH0K+U=;
 b=xeVz5lYrZYk8iEAmaR/XVAPWDQ+vES1y+t0N+fdyFwb/x9ESs/YyHMWMnfALg4r3xU
 w433bIIEO+nZ3bWr6fPp8aWX7/6t/840/OSjaEfUKANfaF0l5nP+LJ+2s2dqwTzhchTS
 gcgF9p530LUqVrQk4hMveDlh0f1xv9NiKskvF+aVNSD8bf2Wjdd0CoaKUqZAMwKIIgKs
 WDNZJNI2gQNTAqv9gENDsSxS+96o4n/BI90Vrcp9TLMFZ8lP/PnyHlzXC6feFibT1TOt
 nf9LbN5w6LR1YH3Kh4enzm2uSkYENcWbSWpmQImaHJmEzbcvDNXamo1RMYVHBK+OFWC8
 Sn5A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:date:message-id:subject:from:to;
 bh=nDadyb+YGxVC3TWgR2Nzc09XY1LyEZcRdhI1MiH0K+U=;
 b=IlnHiI6nA2NC7tgvl6vU4MgL0t5i677RCs2uhFLNH/vJjyD/ghsHXqItR168IMcAwF
 7jvvQNFRTrle6oS6Blehm7uIcBKkgsFQYzKs+bCM4DRt/7C+cXqzzO04x6Maaw8piT+Y
 FDKQHyltKljuvTrGPsZIeXRbtDLy7edwUn2+0eYja/zS1Rs7go+5DBw+YrR+2DQDa0GT
 w5JDAx21+HAOdyuxL7GAExwG2XT22I4lrXC1ljvSn622sjpy2bb7c6UkLjYQD+9BDrkw
 RfU2/EDFzS1w5dVV0/L+6QHAR31hv0Ud1BRkUj+S633pylSXszpCMLvaWO9xKn02Z2D3
 OjWg==
X-Gm-Message-State: AOPr4FVZfdsS8/xeezSe3nkxFEbEakJgVQSaJe71roIqAdY73uQTDpdO6XpdaVOILwhLxKoZCiqLZ56Eqz/omQ==
MIME-Version: 1.0
X-Received: by 10.176.3.176 with SMTP id 45mr12528739uau.60.1462529223052;
 Fri, 06 May 2016 03:07:03 -0700 (PDT)
Received: by 10.31.214.131 with HTTP; Fri, 6 May 2016 03:07:03 -0700 (PDT)
Date: Fri, 6 May 2016 12:07:03 +0200
Message-ID: <CABr8ebY-Xe2CrAam7DR1QAeCOXW1f8TMbuiZM9Qz1zq5QnoPyA@HIDDEN>
Subject: 25.0.93; `lambda' after hash-quote not highlighted as keyword
From: Anders Lindgren <andlind@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=94eb2c09daf0d055f80532299e0d
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--94eb2c09daf0d055f80532299e0d
Content-Type: text/plain; charset=UTF-8

Hi!

Steps to repeat:

    emacs -Q
    Type: #'(lambda (x))

Here, `lambda' isn't highlighted as a keyword. This is a regression from
Emacs 24.5.

In Emacs 25, keyword highlighting is done using the matcher
function`my-lisp--el-match-keyword' which highlights identifiers that are
1) special forms or 2) macros when is a function call position.

Apparently, `lambda', in this context, is neither.

I think that a minimal impact change would be for
`lisp--el-non-funcall-position-p' to treat '(xxx) as a non-function call
location (like it does today), except when preceded by a #.

    -- Anders


In GNU Emacs 25.0.93.1 (x86_64-w64-mingw32)
 of 2016-04-23 built on KAEL
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --prefix=/tmp/emacs --without-imagemagick 'CFLAGS=-O2
 -fomit-frame-pointer -g0''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS

Important settings:
  value of $LANG: SVE
  locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easymenu
cl-loaddefs pcase cl-lib mail-prsvr mail-utils time-date mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 ls-lisp disp-table w32-win w32-vars term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote w32notify dbusbind w32
multi-tty make-network-process emacs)

Memory information:
((conses 16 89295 12665)
 (symbols 56 19662 0)
 (miscs 48 43 127)
 (strings 32 15944 4609)
 (string-bytes 1 435395)
 (vectors 16 11720)
 (vector-slots 8 422750 4713)
 (floats 8 160 110)
 (intervals 56 261 40)
 (buffers 976 13))

--94eb2c09daf0d055f80532299e0d
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hi!</div><div><br></div><div>Steps to repeat:</div><d=
iv><br></div><div>=C2=A0 =C2=A0 emacs -Q</div><div>=C2=A0 =C2=A0 Type: #&#3=
9;(lambda (x))</div><div><br></div><div>Here, `lambda&#39; isn&#39;t highli=
ghted as a keyword. This is a regression from Emacs 24.5.</div><div><br></d=
iv><div>In Emacs 25, keyword highlighting is done using the matcher functio=
n`my-lisp--el-match-keyword&#39; which highlights identifiers that are 1) s=
pecial forms or 2) macros when is a function call position.</div><div><br><=
/div><div>Apparently, `lambda&#39;, in this context, is neither.</div><div>=
<br></div><div>I think that a minimal impact change would be for `lisp--el-=
non-funcall-position-p&#39; to treat &#39;(xxx) as a non-function call loca=
tion (like it does today), except when preceded by a #.</div><div><br></div=
><div>=C2=A0 =C2=A0 -- Anders</div><div><br></div><div><br></div><div>In GN=
U Emacs 25.0.93.1 (x86_64-w64-mingw32)</div><div>=C2=A0of 2016-04-23 built =
on KAEL</div><div>Windowing system distributor &#39;Microsoft Corp.&#39;, v=
ersion 6.1.7601</div><div>Configured using:</div><div>=C2=A0&#39;configure =
--prefix=3D/tmp/emacs --without-imagemagick &#39;CFLAGS=3D-O2</div><div>=C2=
=A0-fomit-frame-pointer -g0&#39;&#39;</div><div><br></div><div>Configured f=
eatures:</div><div>XPM JPEG TIFF GIF PNG RSVG SOUND DBUS NOTIFY ACL GNUTLS =
LIBXML2 ZLIB</div><div>TOOLKIT_SCROLL_BARS</div><div><br></div><div>Importa=
nt settings:</div><div>=C2=A0 value of $LANG: SVE</div><div>=C2=A0 locale-c=
oding-system: cp1252</div><div><br></div><div>Major mode: Lisp Interaction<=
/div><div><br></div><div>Minor modes in effect:</div><div>=C2=A0 tooltip-mo=
de: t</div><div>=C2=A0 global-eldoc-mode: t</div><div>=C2=A0 electric-inden=
t-mode: t</div><div>=C2=A0 mouse-wheel-mode: t</div><div>=C2=A0 tool-bar-mo=
de: t</div><div>=C2=A0 menu-bar-mode: t</div><div>=C2=A0 file-name-shadow-m=
ode: t</div><div>=C2=A0 global-font-lock-mode: t</div><div>=C2=A0 font-lock=
-mode: t</div><div>=C2=A0 blink-cursor-mode: t</div><div>=C2=A0 auto-compos=
ition-mode: t</div><div>=C2=A0 auto-encryption-mode: t</div><div>=C2=A0 aut=
o-compression-mode: t</div><div>=C2=A0 line-number-mode: t</div><div>=C2=A0=
 transient-mark-mode: t</div><div><br></div><div>Recent messages:</div><div=
>For information about GNU Emacs and the GNU system, type C-h C-a.</div><di=
v>Mark set</div><div>Making completion list...</div><div><br></div><div>Loa=
d-path shadows:</div><div>None found.</div><div><br></div><div>Features:</d=
iv><div>(shadow sort mail-extr emacsbug message dired format-spec rfc822 mm=
l</div><div>mml-sec password-cache epg epg-config gnus-util mm-decode mm-bo=
dies</div><div>mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader=
 sendmail</div><div>rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode e=
asymenu</div><div>cl-loaddefs pcase cl-lib mail-prsvr mail-utils time-date =
mule-util</div><div>tooltip eldoc electric uniquify ediff-hook vc-hooks lis=
p-float-type</div><div>mwheel dos-w32 ls-lisp disp-table w32-win w32-vars t=
erm/common-win</div><div>tool-bar dnd fontset image regexp-opt fringe tabul=
ated-list newcomment</div><div>elisp-mode lisp-mode prog-mode register page=
 menu-bar rfn-eshadow timer</div><div>select scroll-bar mouse jit-lock font=
-lock syntax facemenu font-core</div><div>frame cl-generic cham georgian ut=
f-8-lang misc-lang vietnamese tibetan</div><div>thai tai-viet lao korean ja=
panese eucjp-ms cp51932 hebrew greek romanian</div><div>slovak czech europe=
an ethiopic indian cyrillic chinese charscript</div><div>case-table epa-hoo=
k jka-cmpr-hook help simple abbrev minibuffer</div><div>cl-preloaded nadvic=
e loaddefs button faces cus-face macroexp files</div><div>text-properties o=
verlay sha1 md5 base64 format env code-pages mule</div><div>custom widget h=
ashtable-print-readable backquote w32notify dbusbind w32</div><div>multi-tt=
y make-network-process emacs)</div><div><br></div><div>Memory information:<=
/div><div>((conses 16 89295 12665)</div><div>=C2=A0(symbols 56 19662 0)</di=
v><div>=C2=A0(miscs 48 43 127)</div><div>=C2=A0(strings 32 15944 4609)</div=
><div>=C2=A0(string-bytes 1 435395)</div><div>=C2=A0(vectors 16 11720)</div=
><div>=C2=A0(vector-slots 8 422750 4713)</div><div>=C2=A0(floats 8 160 110)=
</div><div>=C2=A0(intervals 56 261 40)</div><div>=C2=A0(buffers 976 13))</d=
iv><div><br></div></div>

--94eb2c09daf0d055f80532299e0d--




Acknowledgement sent to Anders Lindgren <andlind@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23465; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 29 Jan 2018 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.